---
title: 'Tuesday: 3D Print Day'
date: 2024-07-30T09:12:53+02:00
Tags: []
Categories: []
draft: false
---

## Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/noraenpure.png" alt="Credit: Nora en Pure YouTube" >}}

I went to bed at about 03:00 yesterday, and I finished that bottle of wine. I had the foresight to
turn off my alarm (which usually tries in vain to wake me at 08:30), but I woke up at 07:00 with a
bit of a headache. I've been having headaches for the last two months, the Doc doesn't quite know
what to make of it, but this headache was perhaps a little bit of a hangover? I took some aspirine
and snoozed until 09:30 or thereabouts, and got up.

With the warm weather, despite the window open at night, I am a bit hot, and my scalp itches. One
thing that I know helps is a buzzcut, so off I go to put the _tondeuse_ to work. It's always
somewhat of a pleasure for me to know that people pay easily CHF 50,- to get their hair cut, and I
spend all of 4 minutes with a 20 year old trimmer - it's done in no time. After a good shower, I am
ready to start the day!

In the morning, I take to Fusion360 to design a cable guide of sorts. I love Fusion360 so much -
as with most of this stuff, it has a steep learning curve, but once you're over that initial
investment, drawing anything my mind can think up is a breeze - the object you can see in the
gallery below consists of two sketches with four extrusions and one fillet. That's it! I took a
screenshot of the cross section so you can see what it's trying to do: Yesterday at IKEA we bought a
few hangers, those things that you put on the door and hang your nightgown or robe on, and I drew a
bit of a bracket (see pics in the gallery below). It was fun, and what's more: I got it right on the
first try! I put the printer to work on four of these, and will print another set of four in the
afternoon.

## Afternoon

Just as we were preparing a salad and some fried eggs for lunch, the mailman came, yaay! The Mac
Studio that was apparantly damaged in transit and had to be repackaged by Swiss Post. The box was
full of tape on the outside, but the inside was pristine. This is going to be fun - this Mac is
super fast - with an M2 Ultra, 24 cores, 76 GPU cores, 64GB of ram, 2TB of NVME storage, and 10G
network. It can drive up to eight 4K screens with its six TB4 connections, and immediately proves to
be blazingly fast. 

{{< image frame="false" width="5em" float="left" src="/img/init/sidequest.png" alt="The SideQuest logo" >}}
**Side Quest Time**! I get to install all of my apps on this fresh new machine, which I find an
enjoyable activity. Fusion360 runs so much smoother, as does Gimp and video transcoding and Open
Broadcaster Software. The previous Macmini (still Intel based) was struggling with 4K video, but
this one does it with room to spare. I'm gonna like it -- and in the thematic world of _Rick and
Morty_, I decide to call this one _Jessica_.

I do a little bit after lunch, and then I bike to a datacenter at the Zurich airport to help IP-Max
out. They've been moving out of Equinix datacenters and one of the connections that needs to moved
is a Swisscom CES interconnect. Swisscom has already installed their _CPE_ for this, a Cisco ASR920,
but we still need to hook it up to the IP-Max router. Armed with an XFP, SFP+ and some patch cables
and cleaning pen, I make my way to the facility. It's absolutely gorgeous weather today! Biking
through the _Hardwald_ is refreshing, but out on the road and in the fields with the Sun directly
overhead, it's pretty hot.

I get to visit one of my favorite routers: `er01.zrh56.ip-max.net`, and quickly make the patch to
find no light coming from Swisscom. Ludo does me a solid and calls the Swisscom hotline, and they
_no shutdown_ their side, and I see link. Great, job well done, and thanks Ludo! All in all I'm out
of the facility within 15 minutes, and make my way back home. Once there, I find another package has
arrived! This time it's 2x100G linecard and optics for the second 100G wave from Zurich to
Frankfurt. Soon, my beloved AS25091 will have a 100G triangle Zurich-Zurich-Frankfurt, and from
there, the obvious next step is to upgrade the Zurich-Geneva links and the Geneva metro to be 100G.
But, one step at a time. I'm uncomfortably excited for Fred and the IP-Max crew. I put the line card
in the (newly very clean!) basement, and start a second batch of _cable guides_ in my trusty rusty
Prusa Mk3.

## Evening

At around 17:30 I send Marina a Signal DM to invite her for a nice drink out in the back yard.
Yesterday she had this Mattei, and today I think I'll join her in that drink! After the drinks, we
make our way inside for a spot of dinner - tonight we're eating saut&eacute;ed spinach with garlic,
creamy mashed potatoes with a dash of cream cheese, and a really nice piece of salmon. 

After dinner, we retire to our family couch position, and Marina Quinn and I watch two episodes of
_Stranger Things_ on Netflix. After the second, Quinn retires further to his bedroom, and I go
downstairs to finish the job installing _Jessica_ and writing my blog post for the day, while
listening to _Nora en Pure_'s purified episode #414 on YouTube. This afternoon while I was biking to
the datacenter, I saw they were building a large stage for Zurich OpenAir, where she will play a
session for 25'000 folks. Maybe I'll treat myself to a ticket :)

Tomorrow I really should go to the municipal dump, because I have a huge stack of cardboard from the
Kallax cupboards, and the Mac stuff, and the linecard -- I'm such a consumer, and I love it!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-07-30/IMG_0423.JPG" caption="Starting the day with a good buzzcut. No more itchy scalp!" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0425.JPG" caption="The Mac Studio arrived -- completely undamaged" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0426.JPG" caption="Biking to the datacenter in 31C weather" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0430.JPG" caption="My favorite router in the world, now with +10G to Swisscom CES" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0432.JPG" caption="I'm in front of a datacenter in Zurich!" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0437.JPG" caption="Biking back home through the fields - Stromer ST5" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0438.JPG" caption="Another package arrives: 2x100G linecard for ASR9k" >}}
  {{< gallery-photo fn="2024-07-30/cableholder.png" caption="Design for a cable holder, Fusion 360" >}}
  {{< gallery-photo fn="2024-07-30/cableholder-crosssection.png" caption="The cable holder, cross section showing the inside" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0442.JPG" caption="My trusty Prusa Mk3 printing a batch of cable holders" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0439.JPG" caption="A finished batch of 3D printed cable holders" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0441.JPG" caption="The cable holders doing their best work" >}}
  {{< gallery-photo fn="2024-07-30/IMG_0443.JPG" caption="Prost! Drinking a Mattei with Marina" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

