---
title: "Week 2, Friday: Adjacencies!"
date: 2024-08-09T20:21:19+02:00
Tags: []
Categories: []
draft: false
---

# Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/noraenpure-02.png" alt="Credit: Nora en Pure, YouTube" >}}

I may as well stop writing about this concept of _Morning_, because once again I got up at 10:30am
or so. Not quite as bad as my usual, but as I had predicted yesterday I did sleep very well! I take
a look socials while making morning coffee. That video clip from yesterday still sounds good to me :)

I go to my desk and see that the webcam on my windowsil (that's overlooking my desk from the side)
has come loose off of its duct tape. Of course it has, and I knew it when I hung it up like that. So
I take to Fusion and draw a really simple hinge part, just some squares with some holes and a simple
fillet so that the hinge can rotate over itself. I lob it into the printer, and forget all about it.

Somebody asks about my 4-port DB9 to USB serial converter. I picked up a bunch of these on
Aliexpress maybe 10y or so ago, and they are still available today! I take a picture and send them
the information. They're going to pick up a few for their own rack at work. Good!

# Afternoon

I've been making this lunch with leek soup and veal dumplings, and this is the last portion from the
big pot. While Marina makes leftover pappardelle pasta with pulled beef, I nom on the leek soup.
There was just a little bit _too_ much leftover, I think it's about 1.2 liters or so, so at the end
of this meal my tummy says "stop, please, no more!".

It's a little bit too hot to mow the lawn, about 32C or so, so I decide to park that task until
later in the day. I spend my afternoon with Fred -- he is hunting BGP adjacencies and something went
wrong a few days ago when he made a set of configuration changes, and IP-Max lost 500 adjacencies or
so. I help him out by writing a small python program that goes over the _Routing Information Base_
(or _RIB_) of a router to find a pattern, and I'm quickly rewarded: it's localpref!

We make a plan together to normalize the localpref on internet exchanges that IP-Max is connected
to, 52 in total. Fred spends most of the day rolling this out, and we both take turns celebrating a
new record in reclaimed adjacencies. We started at about 2467 adjacencies, and when we were all
done, we counted 3139 of them - that’s 700 more than when we started. That’ll do, Fred. It’ll do :)

At 16:30 I go upstairs to mow the lawn. Unfortunately the weather did not exactly cool down as much
as I had hoped (in vain) for. But, out I go, with the weed wacker and the lawn mower, and take out
three bushels of grass and plant cuttings. A job well done, 45min later. I am drenched in sweat, and
probably half a kilo lighter from loss of fluid. I replenish inside with a few glasses of cool
Bert-water (reminder: our fridge is called _Bert_), and then go to the basement to cool off.

# Evening

At 17:30, Marina sends an IM: 🍸 so out we go, selfie in the backyard with the nicely cut grass, and
a Gin&Tonic in hand. Today is Friday -- something that is easy to forget when on sabbatical, but
this means that tomorrow is the Zurich Streetparade. It's expected that some one million (!) people
visit the parade. I decide that I'm going to go check it out, bottle of water in hand and hat on
head. Marina agrees to join!

While we're out in the yard, I am reminded of [[Zurich Openair](https://zurichopenair.ch/en/)] and
the fact that Nora en Pure is going to play a set there. I decide to _treat yo'self_ to a VIP ticket
for Sunday 31st of August. She starts at 23:00 but I'll be lounging there the whole day listening to
music and enjoying (hopefully) the summer weather.

For dinner, we make a simple _AGV_ (Dutch: _Aardappelen, Groente, Vlees_ or "Potatoes, Vegetable and
Meat"): pork filet, mushroom cream sauce and boiled potatoes. It all comes out pretty nice,
especially considering the modest amount of effort it takes!

After dinner, we watch a movie with popcorn. Quinn chooses: 12 Monkeys! This is a classic
time-swicheroo from 1995 with a very good performance from Brad Pitt and Bruce Willis. We enjoy it
and that takes us to the tail end of the evening.

While writing my journal entry, my buddy John stops by on Telegram with huge news. He has been
trying to get a simple PC based L2 transport device to replace his expensive Juniper macsec devices.
He's been hacking on and off on this project for half a year or so, but today he nailed it: 100G +
2x25G using 18 CPUs and QAT acceleration on a Supermicro XeonD 2796nt; he is getting about 7.3Mpps
of IPSEC 256 GCM offloaded to the C4K QAT, excellent work. He is very pleased with the results,
knowing that merchant silicon is an order of magnitude more costly. He's done for 5K per side for
150Gbit of encrypted traffic (and CPU to spare), versus 85K for an Arista solution. Phenomenal
stuff! We agree to co-author an [[IPng.ch](https://ipng.ch/)] blog post about it soon. I think many
people can learn from this experience.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-09/IMG_0572.JPG" caption="The webcam at the side of my desk has come loose off of its crappy duct tape solution" >}}
  {{< gallery-photo fn="2024-08-09/IMG_0573.JPG" caption="A Mastodon user asks me about these cute 4xRS232 -> USB converters." >}}
  {{< gallery-photo fn="2024-08-09/IMG_0574.JPG" caption="Lunch is the last remaining pot of leek soup with veal dumplings" >}}
  {{< gallery-photo fn="2024-08-09/IMG_0575.JPG" caption="The before shot of the backyard with a bit of grassy goodness that needs to become less grassy goodness" >}}
  {{< gallery-photo fn="2024-08-09/IMG_0578.JPG" caption="The after shot after I mowed the lawn and weedwacked the sides. Drink time!" >}}
  {{< gallery-photo fn="2024-08-09/IMG_0581.JPG" caption="The pork filet looks tasty, and it is accompanied by mushroom sauce and sauteed mushrooms" >}}
  {{< gallery-photo fn="2024-08-09/IMG_0582.JPG" caption="We watch 12 Monkeys on TV tonight, and I make popcorn" >}}
  {{< gallery-photo fn="2024-08-09/webcam.png" caption="The trivial design of the webcam hinge" >}}
  {{< gallery-photo fn="2024-08-09/IMG_0583.JPG" caption="The 3D printed part of the webcam hinge, this thing is not going to be falling down any time soon!" >}}
  {{< gallery-photo fn="2024-08-09/openair.png" caption="I buy myself a VIP ticket to Zurich Openair on August 31st" >}}
  {{< gallery-photo fn="2024-08-09/sticky.png" caption="Sticky, Marina's pet Chahoua Gecko, comes to say hi" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

