---
title: "Week 3, Monday: Jekyll to Hugo"
date: 2024-08-12T19:21:19+02:00
---

## Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/fluidified-02.png" alt="Credit: Fluidified, YouTube" >}}

There's a pretty big difference between this sabbatical journal and the [[IPng.ch](https://ipng.ch)]
website articles. I made myself the agreement that I would not overcomplicate my journal: every
evening before I go to bed, I walk downstairs, often with a good glass of something or other (🍷),
and type away at my keyboard, without syntax checking, spelling checks, lots of research and
editorialization. Just write, almost a _free word association_ style. I then rely on readers
(there's a few out there, I know who you are! I have _Plausible_ analytics!!1), to point out all the
typos and weird grammatical constructs I used.

Today is a no different -- on *this* site -- but I spent most of the entire day typing up an article
which I promised I'd write one week ago, [[Last Monday]({{< ref wk2day1 >}})]! I start off the
article in the morning before lunch, but I don't get very far. I go upstairs to feed Dougie (my
starter culture), and scoop out two spoonfulls to make a levain for tomorrow's BBQ, and another one
for a rustic _Buurebrot_ (German for _Farmers Bread_) that I want to make: _En Guete, Vorteigli!_

## Afternoon

After lunch, Marina and I go shopping, as we need a bit of groceries for our guests tomorrow: Aad
and family are visiting from NL, in the beautiful town of Luzern. They'd like to come over and say
hi, maybe have a spot of barbecue in the afternoon. So we go off to get a little bit of foozle for
when they get hungry. Can't let guests go hungry, you know!

Our first stop is the _Jumbo_, a local gardening and home improvement store, much like a _Lowe's_.
We have a wasps nest and also an ant colony, and they are overstaying their welcome. We buy some
insecticide, and I also randomly buy a new showerhead because I have fallen out of love with our
current one. It's loud, leaky and it no longer sparks joy. Out with the old, in with the new!

As always, we end up buying the stuff we have on our grocery list, and about a million other things
we do _not_ have on our list. I'm intrigued by the _Marques de Riscal_, which is a Gran Reserva from
2016, very much ready to drink (in fact, I'm drinking it now!), and has a 30% discount, which is
nice. All that shopping set me back almost two hours, but we did manage to charge the car a little
bit, which is nice.

Back home, I ate some soup! And as a proud _Schwyzerdutch_ person, I eat it either with _Maggi_, or
as was the case today, with a good helping of _Aromat_. After that, and also beacuse it's 33C
outside today, I am sweating through every orifice. My solution: go downstairs where it's nice and
cool, and finish the IPng article.

Before I know it, it's 17:30 and Marina demands a G&T. She comes into my office with a _Lavender and
Echinacea_, sniffs it, and says it may not want to have a lot of strongly flavored tonics. I say:
"I shall be the judge of that!", and I put the bottle to the lips, only to drink a tiny tiny amount.
This gin is great!

## Evening

For dinner tonight, sauteed _Mangold_ (German: _Krautstiel_), with an onion, boiled potatoes and
porkchops with gravy. I inhale it, it tastes so good. After dinner, I quickly clean up, because I
have one more thing I want to do: play with the Silhouette [[Cameo
v5](https://www.silhouetteamerica.com/cameo-5)] a little bit. I download, for the first time,
Silhouette Studio, and click around a little bit. I quickly resort to begging Marina to come explain
it to me, which she does. I cannot overstate how helpful it is to get your first learning curve
jumpstarted by somebody who knows the tool/product/process already. I feel like I am in the fast
lane, am able to make the pin design I have in mind, and she shows me how to do the finer operations
like merging, defining the cutting lines, how to do shape intersections, color matching, and how to
put fiducials on the paper, so that the Cameo can automatically discover where to cut.

The Cameo is so cool! It's relatively quick, very quick, and super precise. I'm a bit sad that I
didn't splurge and get also the new electrostatic bed. This way, you don't have to use the
self-adhesive cutting mats, which are not terrible, but also do mean a bit more fidgetting is
required to get the paper back off. With electrostatic mat, or so they way, it just autoreleases
when the cut is done, so no more fidgetting! So I decide to buy one anyway, as our local shop has
a few in stock. Why not? I'm in a midlife crisis, and the alternative is that Ferrari, and nobody in
my family wants to see me rock up in a Ferrari. Electrostatic mat, it is!

At about 20:45, the skies turned violent on us, and we saw a bit of a thunderstorm. In the back of
the house I could still see some blue skies, but there was a thundercloud right overhead. It had
lots of scattered sheet lightning. I also looked in the front of the house, where it was pitch black
and heavy winds were chasing through our _cul-de-sac_. Wow! Here's a little video from the backyard:

{{< video src="/media/vdo/IMG_0623_0.12.56.mp4" >}}

I finally finish my article - I do this somewhat _Inception_ style, with filming a video of me
submitting the website, and seeing it being automatically built by Drone and pushed to the NGINX
webservers. It's a nice demo, and I feel good about my work, make a little bit of noise about it on
[[Twitter](https://x.com/IPngNetworks/status/1823100780812853413)] and
[[Mastodon](https://ublog.tech/@IPngNetworks/112951035809607019)].

Then, after the rain dies down, I think of Aad and family - who are arriving in Lucerne tonight.
According to the Swiss meteo radar, all hell has broken loose over Lucerne. I hope they made it to
their resting place. Marina and Quinn have already turned in for the night. Quinn has to
get up at an illegal time tomorrow, 05:00 or so, `trombone.wav`!

Me? I decide to take care of business. We bought some Wasp repellant spray, which on the can says
"Use after dusk or before dawn, when the wasps are in the hive". That sounds about now! I go outside
and see a few dozen wasps sitting on the wooden beam under our garage roof. It says "spray for 5-20
seconds from 1m distance". I press the nozzle, and oh my lordy! It feels like this spraycan actually
has a _kickback_. A gobsmackingly enormous amount of gunk comes splurting out the nozzle, and it
covers the whole area in white foam. Heheheh, take that, wasp! I don't think they know what hit
them, and I was certainly surprised that this hairspray-sized can ejaculated itself in like thirty
seconds or so. I look forward to see what carnage I made tomorrow. This was **awesome** (for me, at
least).

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-12/IMG_0612.JPG" caption="In the shop, I hesitate and want to buy these two adorable but otherwise useless (and non-floof) chickens. Marina talks me out of it." >}}
  {{< gallery-photo fn="2024-08-12/IMG_0617.JPG" caption="I fork() Dougie into one parent and two child PIDs. These will become breads tomorrow." >}}
  {{< gallery-photo fn="2024-08-12/IMG_0618.JPG" caption="I eat vegetable soup with Aromat, as I am a proud Schwyzerdutch" >}}
  {{< gallery-photo fn="2024-08-12/IMG_0619.JPG" caption="I pre-taste the new Gin we got, with Lavender and Echinacea - as if we have a cold!?" >}}
  {{< gallery-photo fn="2024-08-12/IMG_0622.JPG" caption="The approved design for the FrysIX BBQ schwag I'm making for the BBQ in Jubbega, NL" >}}
  {{< gallery-photo fn="2024-08-12/IMG_0625.JPG" caption="The new Silhouette Cameo v5 that I got for the occasion, and likely many more future occasions for arts and crafty business!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
