---
title: "Week 3, Wednesday: Arista 7280SR with ASR9k"
date: 2024-08-14T21:55:00+02:00
draft: false
---

{{< image frame="true" width="17em" float="right" src="/img/headline/dropstation.png" alt="Credit: Drop Station, Youtube" >}}

This morning I got up _bright and early_ at around 10:00. At this point, Quinn has worked already
for about 3.5hrs, and I don't know quite how he does it. Maybe it's because I tend to go to bed at
03:00 and he goes upstairs at 22:00? Nah, that can't be it!

I boot up Pim O.S. and think about the day ahead. I can't make FrysIX stamps, because there's
something wrong with the stamp-head. Marina is in contact with the vendor, and has scheduled a video
call to go over the mechanism today. We looked yesterday and have a suspicion what might be wrong,
but before we tinker, we'll wait for the video call. I still have some time before the barbecue!

Instead, I make good on my own promise to keep my workroom tidy. I grab the vacuum cleaner and go
over the whole floor - it's quite a novel experience for me to be able to even _see_ the floor, let
alone _vacuum_ it. On the floor next to the blue pattern wall, there's a little bit of white powdery
dust; I think it may be the remnants of the fungus that triggered my whole cleaning experience two
weeks ago. I make short work of it, and drench it in chlorine water, which also doubles as a nice
mopping agent. I mop up the rim of the floor twice, and the rest of the room once. At this point it
smells like a swimming pool in my room, so I escape it upstairs.

For lunch, we rummaged around the fridge a little bit and I found two hamburger patties which we
never barbecued. Let's not let two perfectly good patties go to waste! So I fry them in the pan
while Marina slices the leftover bread - she shows me the holes that the yeast left - hah, yeast
fart holes. I'm such a child. The hamburger (see below) does hit the spot though!

In the afternoon I spend a little bit of time getting to know Arista switches and its EOS operating
system. I find it incredibly intuitive, with the concepts being very similar to what I already use,
notably Centec and Cisco/Nexus. I play around with some OSPF, OSPFv3, enable LDP and MPLS, and do a
quick loadtest - the thing happily forwards traffic with IP4, IP6 and MPLS at line rate - to be
expected. I make a proto-config and prepare the switches for later tonight. I'll deploy them at
AS25091.

Before dinner, I spend some time pairing and chopping veggies; I have sugar snaps, onions, spring
onions, _bimi_ (a sort of broccolini), bell pepper, carrots, bokchoi and soybean shoots. I blanche
the larger veggies, and then yeet them all into a wok, stirfrying them with some oil.

After dinner I do some more investigating of the button press and Marina sends a few e-mails to the
vendor - who is _super_ nice by the way. After exchanging a few tips and videos showing where we
think the problem is, they offer to send a new stamping head while we prepare to ship back this one.
But, tomorrow they'll have a quick call to figure out if there's something else that could be done.
We concluded that there is about 0.5-0.75mm of play needed to let the stamp work. It's too
complicated to explain, so I'll just show a picture.

Then at around 21:00 I grab some optics and patchcables, velcro, and tools in my backpack, and take
the 100G linecard for the ASR9010, as well as the two preconfigured Arista 7280SR switches, and make
my way to the datacenters. One will go at Interaction in Glattbrugg, and the other at NTT in
R&uuml;mlang, connected by a few kilometers of dark fiber. A hypervisor has taken the day off, so
I'll go take a look at it on console, while I'm there.

I first let the 2x100G line card acclimatize by inserting it half-way into the chassis. I then
install the Arista, connect it to the router with 2x10G (will become 100G) and to a few CWDM
channels to the other datacenter (will also become 100G, optics are en route). I add it to the mgmt
VRF and serial console server, and it's up and running quickly! I then insert the blade and wait for
it to boot, it too happily registers itself in IOS/XR and is ready to serve. Nice!

Then I go to my favorite [[IP-Max](https://ip-max/)] point of presence - NTT R&uuml;mlang, where I
have to make two long-haul patches (from here to _Lauss-ane_) and again connect 2x10G to the other
Arista, which is also connected with 2x10G to the first one back in Interxion. All links come up,
and the switch is further quickly installed and ready for service.

The operation takes me a good three hours though. At the end of it, I feel exhilerated and tired at
the same time. There's something about this _digital gardening_, a term I heard from my buddy Lee at
work one day: I find it very rewarding to come home after a night in the colo, having done physical
labor and knowing that what I did, that day, was directly and immediately useful: the blinkenlights
go blinken, and the BGP session comes up, and traffic passes from Zurich to Lausanne directly rather
than via the backup path over Geneva. "I did a thing today".

With that, I drive home, and pass out. If all goes well, tomorrow I get to play with some wireless
microphones that I ordered -- after having seen a few reviews (one of them proudly noting that even
[[MKBHD](https://www.youtube.com/user/marquesbrownlee)] uses them!), and hopefully also with the
electrostatic cutting bed for the Silhouette Cameo.

Welterusten!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-14/IMG_0645.JPG" caption="I promised myself I would keep my workroom clean, so I started off the morning with a vacuuming and deep scrub of the floor " >}}
  {{< gallery-photo fn="2024-08-14/IMG_0646.JPG" caption="Lunch time: the bread Aad and I baked has really nice holes, and I like!" >}}
  {{< gallery-photo fn="2024-08-14/IMG_0647.JPG" caption="We have a few leftover hamburger patties, so I quickly fry them up and we make a make-shift burger. Delish!" >}}
  {{< gallery-photo fn="2024-08-14/IMG_0651.JPG" caption="I am going to deploy two Arista 7280SR MPLS transport switches tonight; here they are, pre-configured and staged in IPng's lab rack" >}}
  {{< gallery-photo fn="2024-08-14/IMG_0652.JPG" caption="Our evening meal is simply a stirfry wok with lots-o-veg, and chicken and rice to go with it. It makes for a very nice summer dish." >}}
  {{< gallery-photo fn="2024-08-13/20240813_220724.jpg" caption="Marina and I take a good look at the faulty stamping press for the 59mm pins. We think we found the problem - TAC support ticket raised :)" >}}
  {{< gallery-photo fn="2024-08-14/IMG_0654.JPG" caption="At datacenter #1, I pre-condition the 2x100G blade for AS25091 first" >}}
  {{< gallery-photo fn="2024-08-14/IMG_0657.JPG" caption="Then, I install the Arista, hook it up to some WDM channels to datacenter #2 and to the ASR9010 below. Later, these will become 100G ports (optics are underway)" >}}
  {{< gallery-photo fn="2024-08-14/IMG_0658.JPG" caption="I finish the evening at datacenter #2, my favorite one at AS25091, with the other Arista switch and a very loaded ASR9006." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

