---
title: "Week 3, Thursday: Wireless mic, Cameo ES Mat"
date: 2024-08-15T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/dancekowski-02.png" alt="Credit: Hoer Berlin, Youtube" >}}

This morning I got something fun in the mail - I ordered an electrostatic mat for the Silhouette
Cameo. The way it (normally) works, is there is a plastic 12" x 12" cutting mat, which has a low
tack side to which you stick the material to be scored or cut. Then you feed it into the machine and
it does its work. Afterwards, you peel off the material from the mat. That's okay, I guess, but the
material easily damaged because the low tack mat, especially when it's new, is not exactly _low_! 

Silhouette has made a gizmo which I think is pretty cool: on the Cameo v5 there are three power pins
on the front of the machine, and to that power I can connect a plastic tray which has a sliding mat
which is electrostatically charged. There's a little button with a green LED which turns on and off
the charge pump, and the paper (or vinyl) pretty much immediately locks into place. After cutting, I
can turn off the static charge, wait a few seconds, and the paper comes loose again. So cool! Now,
cutting very small details on paper is much easier than before, because there's no chance of ripping
or damaging the cut material. Well done, Silhouette!

Marina is off to the _Maag Halle_ today, to see an exhibit on Leonardo da Vinci. Me, I'm going to
finish the configuration of the Arista switches that I deployed yesterday in R&uuml;lang; and
Glattbrugg. Before I do so, I extensively play with another thing that I got in the mail (and aluded
to, yesterday) -- the Hollystar Lark M2 wireless microphones. It takes me a small while to get them
to a point where they are good to go. 

The mics are super tiny, maybe eight grams of weight with a magnet or clip to put them on the collar
of my polo. They sound good out of the box, but some tweaking in the OBS settings make them sound a
fair bit better. They are pretty sensitive, and rather easily pick up the sound coming from the
monitor speakers, so it takes me a few trials before I'm happy with them.

I break for lunch - which is simply tossing all of the vegetables and beef from yesterday into a
Miso soup with ramen noodles. It's a rich broth with soy sauce, miso paste, red chilli paste, beef
bouillon, and the kit'n'caboodle of leftovers from yesterday. And oh, is it good!

After lunch, I take out `bs01.zrh35` for a spin, and configure it, taking notes. Spoiler - I did
this to learn a bit about the switch configs, as this is the first time that I get up close and
personal with an Arista EOS. I have a lot of fun
[[exploring](https://null.53bits.co.uk/index.php?page=arista-hardware-overview)] and
[[comparing](https://null.53bits.co.uk/index.php?page=hardware-overview-2)] to
what I know (IOS/XR, IOS, Centec NOS, and Juniper). After an hour or two I think I got it, and
that's why the video of me configuring its counter part `bs01.zrh56` may come across as well
organized:

{{< video src="/media/vdo/2024-08-15_13-34-42_16.5.46.mp4" >}}

Compared to the R&oslash;de microphone, the Hollyland Lark M2 button mics are not as pristine of a
sound, _but_, and this is actually quite important for me, I can wear them and move freely around
the room, and the audio level and quality is the same everywhere. That's actually quite nice, so
I approve of my purchase after recording the video :)

By the way, you can regularly see me in this habitat on the weekends, as IPng has lots of tasks like
this one (although there, I typically would automate it in _Kees_ pretty quickly, to avoid mistakes
and create consistency). 

Then I pull out the ES Mat for the Cameo, which interestingly comes with no manual. In hindsight,
that should not surprise me, as all I have to do is click the tray onto the Cameo, and press the
button for ON and OFF. OK, I think I can do that - I immediately put it to work by cutting the IPng
logo in white out of some Oracal vinyl, and then again out of IPng-red vinyl. These will go on the
two Hollyland mics (pictured below), one for a dark outfit, and the other for when I'm wearing a
lighter top. I can't help but think that addin the ability to sticker over the logo on the mic
is a nice touch - Good job, [[Hollyland](https://www.hollyland.com/product/lark-m2)]!

Marina comes home and has a video call with the folks from BadgeMatic, and they diagnose the faulty
stamp. Anja is super friendly and agrees to send a replacement stamp our way, and we'll return this
one to them. I decide to celebrate this by offering Marina a G&T; elderberry flavored with a side of
salami. We sit in the yard and admire the growth of our hazel - sitting under it in the shade and
reading a book may be in my future, some day.

We have a pasta _puttanesca_, which Marina demands to prepare without my "help" (as somehow I tend
to mess it up?!), and we nom it. After dinner, Quinn goes his merry way and Marina and I watch some
TV. She has found a belgian police series called _Coppers_ and we watch the first two episodes of
season one. It's nice that it's in Flemish, and the episodes are standalone _Krimi_ style stories.

Did you know that if you take a sufficient amount of frogs and feed them magic mushrooms, that they
will successfully attack and eat up two life-sized sharks? See the pictures below for my empirical
evidence to back my claim. 

After watching two episodes it's only 22:30 but I am bushed. I decide to punt on writing my story
until tomorrow, and turn in early for the day.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-15/IMG_0660.JPG" caption="A tasty miso and beef ramen, made from leftover veggies" >}}
  {{< gallery-photo fn="2024-08-15/IMG_0662.JPG" caption="The ES Mat that arrived, fits on the front of the Cameo, and holds paper in place using electrostatic force - it works well!" >}}
  {{< gallery-photo fn="2024-08-15/IMG_0661.JPG" caption="Look at the detailed cut of Cameo 5, it's cut out a vinyl logo of 21mm and it looks beautiful" >}}
  {{< gallery-photo fn="2024-08-15/IMG_0665.JPG" caption="I cut one red and one white logo, so I can mix and match on lighter and darker outfits. I'm such a fashionista!" >}}
  {{< gallery-photo fn="2024-08-15/IMG_0663.JPG" caption="The Gin and Tonic, with salami, was lovely today" >}}
  {{< gallery-photo fn="2024-08-15/IMG_0664.JPG" caption="Our hazel tree is a super happy camper, and grows easily three meters per season. This Fall, we'll have to pair it down a bit." >}}
  {{< gallery-photo fn="2024-08-15/IMG_0666.JPG" caption="We watch Coppers, a belgian crimescene investigation series. It's OK, so far!" >}}
  {{< gallery-photo fn="2024-08-15/IMG_0667.JPG" caption="The frogs have cornered the two sharks, who are fearing for their life." >}}
  {{< gallery-photo fn="2024-08-15/IMG_0668.JPG" caption="The frogs have consumed the magic mushrooms, and obliterated one shark, and half of the other one! Look at them gooooo!!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

