---
title: "Week 3, Sunday: Prototyping and 3D Printing"
date: 2024-08-18T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/noraenpure-03.png" alt="Credit: Nora en Pure, Youtube" >}}

Today for most of the day I tinkered with the physical parts of my PDU project. I'm building a
16-port sensed 19" rack mountable power distribution unit. I have these slick modbus based 16x5A
ammeter coils which take 8-30V in and an A/B pair for RS485. I should be able to read those with the
ethernet based ESP32 microcontroller.

In the morning I took some measurements of the plastic 19" rack mountable box, which has four
mounting pins 128mm apart, and four additional screw caps 48mm from those pins. I spent most of the
whole afternoon prototyping a backplate with 220V C13 (aka computer) connector and a hole where the
RJ45 ethernet connector goes. 

There were two problems today, both of which took several hours:

1.   Mongoose OS every now and again crashes with heap corruption and a pretty much unusable
     coredump. I spent a long time upgrading Mongoose OS from its default ESP IDF 4.2 to a still old
     but somewhat more modern ESP IDF 4.4. It did not help. Then I spent an even longer time reading
     up (somewhat nerd-sniped) on the heap allocator code in Espressif's SDK. I learned a lot, but
     did not get closer to a solution.
1.   What I originally thought was a 145mm x 90 spacing on the ammeter, turned out to be a 146x91mm
     (who would've thunk!), so I had to rework and re-print the ammeter brackets. But once that was
     done, it fit snugly.

I also finished the 220V wiring; in total for one PDU, that's 22 wires all cut to the correct length
and crimped. But for eight, that would be: a lot more :) I finished just before dinner time. I had
prepared the potatoes, baked beans and chicken croquantes, but Marina was so kind as to finish the
cooking for me, as the green spool of PLA is a bit twisted, not unlike my humor, and I need to
babysit this last print and every now and again untangle the spool.

After dinner, I pre-baked two nice loaves for next week. I mixed 500g of _Buuremehl_ with 300ml of
water and added yeast and salt - that's it! The dough had a first rise of 2hrs, and after dinner I
formed the loaves, left them in the oven for 45min, and had the oven automatically turn itself on,
bake for 40min at 160C, and presto.

In the mean time, we watched a movie - Quinn chose _Requiem for a Dream_ and it's one of my all time
favorite "Don't do drugs"-style movies. A truly stellar performance from Ellen Burstyn, and a very
pretty Jared Leto and Jennifer Connelly. Such a sad story - highly recommended.

After the movie, I went downstairs to babysit a few more 3D printer parts - every two hours turning
on a new batch. I'm planning on making eight of these PDUs after all, so printing will take a small
while (about 6hrs of print time per individual PDU). I had a drink of wine, and before I knew it, it
was 02:00. I went upstairs to nosh on some _Parmigiano_ cheese, before going to bed.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-19/IMG_0713.JPG" caption="A mostly finished PDU - with the ESP32-ETH01 in its own little box, and brackets that will hold the ammeter." >}}
  {{< gallery-photo fn="2024-08-19/IMG_0714.JPG" caption="One side of the box will be green, the other red. This is to signify that there are two 220V C13 inputs each with their own 8 C14 plugs on the front." >}}
  {{< gallery-photo fn="2024-08-18/fusion.png" caption="The fusion design - top right has what I call the floorplan, with the individual screw holes and pegs of the chassis. THe other things are the parts that go within." >}}
  {{< gallery-photo fn="2024-08-18/IMG_0710.JPG" caption="We watched Jared Leto and Jennifer Connelley in Requiem for a Dream." >}}
  {{< gallery-photo fn="2024-08-18/IMG_0711.JPG" caption="The two loaves of bread baked themselves on a timer!" >}}
  {{< gallery-photo fn="2024-08-18/IMG_0712.JPG" caption="Another tray of parts is freshly printed in black PLA. I will need to make eight batches of these." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
