---
title: "Week 4, Wednesday: Hotsauce!"
date: 2024-08-21T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/firewalker-02.png" alt="Credit: Fire Walker, Youtube" >}}

A small while ago, one of the webmasters at [[APNIC](https://apnic.net/)] mailed me about a series
of guest articles they're publishing on their blog. They've been following along on my adventures at
IPng regarding IPv4-less backbone links, and I am grateful for the opportunity to run my three
articles about Babel and OSPF with VPP on their blog. They published the first one today, check it
out [[here](https://blog.apnic.net/2024/08/21/vpp-with-babel/)].

I started the day with writing a bunch of _NFC_ tags. I'm going to take a bunch of pins with me to
the upcoming NOG meetings (in Oslo, Piacenza, Paris, Amsterdam, Barcelona), and I figured I'd add an
RFID tag to them. The process repetitive just like making the pins is: put sticker on pin, put pin
on writer, write a record with a URL, select write protection, enter password, write to chip, done!

But, I wanted to be a bit more future proof for the URLs, so I wrote a tiny javascript app (when I
say tiny, I mean eight lines of javascript), that takes an URI argument, looks it up in a table, and
redirects the user to that URL. This way, I can write links like
[[https://ipng.ch/app/go#ntag01](https://ipng.ch/app/go#ntag01)] and then occasionally play around
with the mapping so that tags produce new redirects without me having to write new URLs to the tags.
The power of symlinks! If you're curious, take a look at the redirector with:

```
$ curl https://ipng.ch/app/go/index.html
```

.. and let me know if this is clever or moronic :)

After writing the tags, I took out the trash; from the cleanup session I still have four large trash
bags, mostly with lighter stuff like foam, plastic, packaging etc. This afternoon, Jean-Paul and
Nicole (Marina's parents) are going to arrive from Geneva, and they'll be staying two weeks. Marina
has been making the house tipp-topp shape, I think she'll live up to their standards with room to
spare! I pitch in by bringing the trash to the municipal dump called _M&uuml;lliland_.

JPH and Nicole come bringing gifts! They went, somewhat randomly, to a farmers market of sorts,
which turned out to be a chilly exposition. They mentioned that there were some fourty or so vendors
with peppers, seeds, and hotsauces. And they got me a few! I sampled many of them, and they were
consistently delicious; not overly spicy, although definitely worth their heatonist. I would say the
four pots with an assortment of chillies would run a good _Savina_ or _Chocolate Habanero_, but
mostly the spices and taste was just plain gorgeous.

After JP and Nicole install themselves in the guest room, we sit at the table and have an afternoon
drink. We show them the _Mattei_ drink we discovered at Sandra and JC's place, but they're in the
mood for a _Pastis_ so I crack open the bottle of _Henry Bardouin_ I got from my buddy Fred, and we
debate the ratio a bit. Fred is a 1:5 guy, I'm more of a 1:1 person. JP in the end goes towards a
1:2 ratio, and enjoys the complex flavor of the pastis. Marina and I swap a dram of red and white
_Mattei_.

I'm making flatbread for dinner tonight, with _planted_ gyros and veggie fallafel. I've arranged for
a home made garlic sauce (which turns out quite nice, using _Skyr_ instead of yoghurt), and I
patiently bake, in a pan, the 12 flat-breads. Marina wanted them thinner this time, while Quinn
would have preferred them to be thicker so that he could cut a pocket into them. I guess maybe next
time I'll make eight _smol_ ones and four _thicc_ ones? Either way, they hit the spot!

After dinner, I fall asleep a little bit on the couch, and wake up around 21:30 or so. Marina and I
watch one episode of _Coppers_, and in the mean time I decide to play with
[[Immich](https://immich.app/)]. s self-hosted photo and video management solution. I really like
what I see, with ability to reverse-geocode pics from the EXIF tags, I can sort and search for
pictures by location, and it also does facial recognition, so I spin up an instance on a beefy
docker host in Lille, plumb it through on [[photos.ipng.ch](https://photos.ipng.ch/)], for the
moment only for _trusted testers_, and start an import of my iPhone's photo roll, some 6800 pictures
and 250 video recordings. It uploads, tags, sorts, and applies the ML filters in only about an hour
or so, and I see that I'm continuously pulling 400Mbit from my phone to the NGINX in Geneva, and
over IPng's backbone to the docker host in Lille. Whohoo!

My first impression of Immich is very good. I let the IOS app do background backups of my photos
over wifi, and the look and feel is very much like Google Photos - one of my all time favorite apps
on the internet. After completing the import and bulk-learning exercise, indeed the thing identified
a few dozen faces and clustered them. It's remarkably accurate! I think I'm going to like this app.

Then at 01:00 I am lying in bed and get a little bit of an afterglow from all the hot sauce. Those
of you who regularly binge hotsauce will know what I mean... 

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-21/IMG_0759.JPG" caption="A roll of nTAG215 stickers, all written and locked" >}}
  {{< gallery-photo fn="2024-08-21/IMG_0760.JPG" caption="Jean-Paul and Nicole arrived, with gifts from Belgium!" >}}
  {{< gallery-photo fn="2024-08-21/IMG_0761.JPG" caption="We had a good apero today to welcome our guests" >}}
  {{< gallery-photo fn="2024-08-21/IMG_0762.JPG" caption="The FrysIX 59mm pins are all done, all 90pcs of them" >}}
  {{< gallery-photo fn="2024-08-21/IMG_0765.JPG" caption="I made flatbread for the plant-based gyros (which, speaking as a meat-eater, is really good)" >}}
  {{< gallery-photo fn="2024-08-21/immich.png" caption="I've installed Immich and imported ~7000 pictures and videos from my iPhone; it's chomping away proving its multithreadedness" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

