---
title: "Week 4, Thursday: So much cheese"
date: 2024-08-22T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/bassementcrew.png" alt="Credit: Basement Crew, Youtube" >}}

Today was all about cheese. JP and Nicole arrived yesterday from Geneva, but they stayed in a hotel
in France just over the border, and what are the French known for? Great wines, great cheese, and
terrible taste in cars. Old friends of mine will remember the term _LFKA_, which I will not write
out in full here, to protect childrens' eyes.

In the morning I started with the prepwork for _Kramiek v2.0_, a flemish raisin bread. Last time it
was a bit dense, so despite Quinn giving it a 10 out of 10, Marina requested it to be a bit more
fluffy this time. Okidoki, chief! Floof, it shall be. I mixed up the dough and gave it a kiss before
sending it on its way in the first rise.

In the afternoon we went grocery shopping at the Coop.  We make a list of, say, ten things we need
to get. We then arrive to _Coop_ (or _Aligro_), and about 20 minutes later, we have a cart full of
stuff, and zero things crossed off the list.  Not sure if I'm the only one this happens to? Perhaps
it's a clever trick that Big Grocery employs to sustain consumerism? Either way, the gin, wine,
candy, random office supplies, and such will come in handy, at some point.

On the way back from the _Coop_, we zig-zag through our neighborhood because they've started road
works on the main road, a project that is going to last for several months and costs CHF 8'500Mio
which is rather absurd considering the stretch of road they are fixing is maybe 300m long... but as
a silver lining, the detour shows us a very large muster of maybe fifty or so storks circling
overhead. There's big storks (who deliver babies), and baby storks (who deliver kittens?), and we
think they may be rouding up the phalanx to migrate. It was an impressive sight! A little further
down, I yellowjacketed road worker stopped the car and asked if we need to be in this neighborhood
because, and I quote "the residents have been complaining that there is too much traffic here now".

Well well well, how the tables have turned. Two cute things come to mind: Firstly, I mentioned this
very exact thing to Marina yesterday, that gosh now that the roads will all be closed, the only
reasonable route is through our neighborhood -- and you would think that perhaps the folks who
organized this whole mayhem would've considered it? But secondly, and this is even more typical
Swiss, the roadworks started, what, three **days** ago, and will be lasting for three **months**, and
the residents are already upset and complaining. And I'm glad to report that I was one of the
complainants, as I mentioned in my first point. Oh geez, Rick, I'm _swissing_!!

Back home, I go downstairs a bit, and see that @benjojo has posted a new tool he wrote for
[[LONAP](https://lonap.net/)] to do multi-flow round trip time measurement. I immediately see this
tool's usefulness in [[AS8298](https://ipng.ch/s/articles/2021/02/27/ipng-network/)] as well: some
of the underlying circuits are MPLS switched, and the underlying [[AS25091](https://ip-max.net/)] at
times uses ECMP or LACP so that traffic can go over multiple parallel paths. If one of those has
either _packetlo_ or a latency excursion, this can be tricky to find. Ben's solution to this is to
have each node send 16 different UDP streams to each other node, so that underlying network topology
might hash the streams to different physical connection. Works a treat - but I notice that the
`-cfg.path` flag doesn't work, so I send a PR to address it - see
[[ixp-xping](https://github.com/lonap/ixp-xping)] for the tool, and his
[[article](https://blog.benjojo.co.uk/post/ixp-xping-better-ix-monitoring)] for the rationale. I
create an Ansible role for `ixp-xping` and roll it out to all hypervisors at IPng.

The cheese ritual is starting at 17:30, and my contribution is freshly baked _Kramiek_ and
_B&uuml;rli_. The cheese is delectable and we spend a few good hours consuming it, with figs,
mustard, cashew and (unsalted) peanuts, but with salted butter and all of the breads we gathered
along the way. At the end, we seemed to have consumed less than half of the available cheese, which
is good news, because it means we get to go again. While eating, Quinn tries to undo my shoelaces,
successfully I might add, so I re-tie them and make it more difficult each time. But, patience is a
virtue, and he repeatedly undoes them. Good work, Quinn!

After dinner, we retire to the back yard, and when the sun sets I light our firebowl and so do our
neighbors. We spend the evening outside, patting our stuffed bellies, and switching between chatting
about this-and-that, and nosing into our respective iPhone, Android or iPad. At 22:30, the fire is
mostly done for the evening, and I've finished the _Tintafina_ bottle, so there appears to be
nothing left for me today but to head off to bed.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-22/IMG_0766.JPG" caption="Ingredients for the Kramiek - butter, milk, raisins, flour, yeast and sugar." >}}
  {{< gallery-photo fn="2024-08-22/IMG_0770.JPG" caption="The finished Kramiek - the verdict is that it is tasty but a little bit too fluffy. I haven't won, yet!" >}}
  {{< gallery-photo fn="2024-08-22/IMG_0771.JPG" caption="We bought a pair of Portugese wines - one is a lady called Tintafina, and the other is called Machoman. The bottles and branding is fun! The wine is fair." >}}
  {{< gallery-photo fn="2024-08-22/IMG_0772.JPG" caption="Let there be cheese - JP and Nicole bring a bunch of cheeses from France, and Marina -- obviously -- buys a bunch more from Switzerland" >}}
  {{< gallery-photo fn="2024-08-22/IMG_0773.JPG" caption="Some of the more tasty cheeses - two Morbier, one Gorgonzola, and a piece of Gauda" >}}
  {{< gallery-photo fn="2024-08-22/IMG_0774.JPG" caption="Marina also made a red beet and pickes salad, with goats cheese mouse. Good stuff!" >}}
  {{< gallery-photo fn="2024-08-22/IMG_0775.JPG" caption="Quinn and I play a game: he unties my shoe laces using only his feet. I make it more difficult as time passes, but he consistently wins!" >}}
  {{< gallery-photo fn="2024-08-22/IMG_0776.JPG" caption="Outside in the yard, this plane flew directly overhead. Perhaps a missed approach from LSZH." >}}
  {{< gallery-photo fn="2024-08-22/IMG_0779.JPG" caption="In the evening we light the firebowl and it's nice and cozy outside." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
