---
title: "Week 4, Friday: Arista MPLS, a Fly Swatter"
date: 2024-08-23T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/kushsessions-04.png" alt="Credit: Kushsessions, Youtube" >}}

This morning we had a breakfast with leftover cheese and bread from yesterday. In the morning I went
downstairs to rummage around a little bit, and play with the data I gathered yesterday from the
`ixp-xping` install on the hypervisors. It's kind of nice to see high-res per-flow data between all
locations on the network.

Then I spent some time rummaging around IP-Max's routers in Interxion and NTT, to look for ports
that I could offload to the newly installed 48-port switch. I decided to make a _canary_ with some
low-risk ports, notably mine, and the IP-Max hypervisors. That would free up five 10Gig router ports
at NTT, and three 10Gig ports at Interxion. Not a bad haul, because the last 10Gig blade in both
locations is entirely full, and in need of some offloading.

I was just about to bike to the Interxion and NTT datacenters, when Marina reminded me 'we need to
have lunch'. Oh yes, that's right! I did not feel like eating even more cheese, even though my
table-mates were happy to consume moar and moar of it. I made a miso soup with ramen noodles, with
some leftover carrots and bellpeppers. It was great! Although (a) it's still summer so it made me
sweat like a pig in summer, and (b) it was a little bit salty [but that is not a problem for my
taste!].

Off I went, on my Stromer, to Interxion. A few kilometers in, the torque sensor acted up again, and
made the bike jam. It takes rebooting the bicycle (uhm, yes, sorry Grandpa, we reboot bikes
nowadays), but then I was underway. The weather was nice, and I had planned to bike to Interxion
first, and them from there, via the Zurich OpenAir festival grounds to the NTT datacenter. I'm
installing two new 10G channels from IPng to IP-Max, which will terminate on the Aristas.

At Interxion, I make quick work of it. The links come up within minutes, and I notice that I'm
running out of 10G ports on my transport switch there. However, I do see three DACs, so I can always
sacrifice one of the 40G ports to plug in a 40G-to-4x10G DAC, and reclaim those ports. 

Then I bike to NTT via the little creek path I always take. Normally, there's nothing there but open
fields, but this weekend is the first of two Zurich OpenAir, and the stage looks pretty decent.
There will be three stages, and I've got a VIP pass for next week Saturday, because _Nora en Pure_
will be on at 23:00. Yaay!! Later, I found out that another favorite of mine, _Miss Monique_ is on
tomorrow at 23:00; I may take a quick bike ride to at least listen a little bit, because I don't
think spending another CHF 139,- is worth it -- the line up isn't as good as on the 31st. But I
digress ..

At NTT, I have a little bit more work to do. I will move in total six ports: two of mine (to
Frankfurt and Geneva), two of IP-Max's hypervisors that run the routeservers in Zurich, and the two
links for [[Free IX](https://free-ix.ch/)], one to Lugano and one to Geneva. I have my work cut out
for me.

**The FlySwatter** makes me very happy. This, and many other full racks, are often very tricky to
feed fibers from the front to the back of the rack. I've at times spent 30min yelling, screaming and
pulling hairs, trying to get fibers from one side to another. But, Marina accidentally bought the
most fantabulous tool: a purple flyswatter on a telescopic pole. Yes, you read it right! I noticed
that I can attach precisely an LC/PC pair of connectors on the front, and then extend the swatter
through the rack, and it'll gently push itself against the wall, allowing me to go to the other
side of the rack, and retrieve the fiber. It's the best thing since sliced bread, I swear. I get
my two new fibers through in a matter of minutes, not hours. Yaay me!!

All links are up and I bike back home via Dietlikon, where I see a big fairground also! It turns
out, the city of Dietlikon turns 900 years old this month, and they organized a weekend full of fun.
There are towns in Switzerland that are casually three times as old as the United States (1776).
It's one of the many, many things I truly admire about my country. The festivities are on a fancy
[[website](https://www.900jahredietlikon.ch/de/home)], which I remind the family at home of later,
and we decide to visit tomorrow.

Back home, I complete the logical configuration for the IPng and FreeIX connections, and bring into
existence the first Arista-based MPLS circuits, which is remarkably straight forward except I make a
typo that makes me spend 45min figuring out why one of them doesn't work. Oh well :)

I get home and look at my Stromer. It's gross, and in need of some love. I grab the brush and
sponge, and wash it from top to bottom, clean the chain, the gears, the mechanics and what-not:
Sergio would be proud! I signal great success, and go inside to find one Marina ready for the rose
wine we bought yesterday. We bought it for the shape of the bottle - it's super fancy!

We drink the bottle in one go - it's quite alright, and halfway through Marina yeets the Lasagna she
made into the oven. We proceed to eat the Lasagna and it is top notch. She made plenty of extras,
some of which Quinn will take to work, and some of which I'm sure will find its way into Marina's
belly. Although I'm not a _huge_ fan of Lasagna, I am definitely pleased with the results here. Five
stars on yelp.

After dinner we have a _N&uuml;sslitorte_ which Quinn got a while ago. It's too sweet for my taste,
but the curst is kind of nice. I can tell that Quinn likeS it because he taked two pieces. I decide
to fire up the _candle_ we got from our neighbors: some tree trunk with a  big + sawed into it, and
in the middle some firestarter which makes it burn hot, and all the way down the wood to the bottom.
It's a mesmerizing fire, and both JP and I enjoy staring at it.

After the fire dies down, I go downstairs to work on IPng a little bit. Since I rolled out the
[[loopback-only OSPF](https://ipng.ch/s/articles/2024/06/22/vpp-with-loopback-only-ospfv3-part-2/)]
last month, the interfaces no longer make much sense, they merely have a name like `xe1-0.304` but
no IP addresses. It's becoming difficult for me figure out what goes where, so I've decided to
rename them all with the name of the router they are pointed at. For example, `xe1-0.304` on router
`defra0` will be named `chrma0` because it's the link to that router. Much easier to work like this!

I spend an hour or so hacking away at all the routers, until I see that the one in Geneva (`chplo0`)
isn't correctly wired, and it will need another connection to complete the ring. So I leave it be
and make a mental note to visit Fred and the site at Stack GEN01 which I call `chplo0` for
Plan-les-Ouates, where the datacenter is located.

Finally, I grab that bottle of _Nardini_ which I've become good friends with. It's running
critically low, but I think it'll last for one or two more days. I celebrate this wonderful summer
day with a glass (or three) of _Grappa_.

Tomorrow, we go see the _S&auml;ulirennen_, yes you heard right, the running of piglets. Because
Switzerland is dope.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-23/IMG_0781.JPG" caption="Closeup of msw0.chgtg0.net.ipng.ch - IPng's transport switch at Interxion - it is running pretty full of 10G and 25G connections, the network is very well connected here." >}}
  {{< gallery-photo fn="2024-08-23/IMG_0782.JPG" caption="I bike from Interxion to NTT and find the Zurich OpenAir fairgrounds; the stages look great, but I'll have to wait one more week before I get to be on the inside, to listen to Nora en Pure <3" >}}
  {{< gallery-photo fn="2024-08-23/IMG_0783.JPG" caption="The purple fly swatter is my new favorite tool for datacenters. It sllows me to guide fibers in tight spaces." >}}
  {{< gallery-photo fn="2024-08-23/IMG_0786.JPG" caption="The rack at IP-Max with er01.zrh56 and the new Arista on top of it" >}}
  {{< gallery-photo fn="2024-08-23/IMG_0787.JPG" caption="THe first eight ports in bs01.zrh56 are light, and four of them are Ethernet over MPLS circuits, which is wonderful news for IP-Max." >}}
  {{< gallery-photo fn="2024-08-23/IMG_0788.JPG" caption="I bike back home and decide randomly to take a selfie. Look at how safe I am, with a little crash helmet and everything" >}}
  {{< gallery-photo fn="2024-08-23/IMG_0790.JPG" caption="I wash my bike and grease the chains and gears. I'll spare you the before-picture, but here, the Stromer is nice-n-clean again" >}}
  {{< gallery-photo fn="2024-08-23/IMG_0791.JPG" caption="We have a rose wine today with a really funky bottle shape. Marina and I decided to keep the bottle, probably to never use again!" >}}
  {{< gallery-photo fn="2024-08-23/IMG_0793.JPG" caption="A picture of Marina's lasagna after the family has attacked it and inflicted major damage. Yet: some of it is still ready to be consumed another day!" >}}
  {{< gallery-photo fn="2024-08-23/IMG_0794.JPG" caption="Quinn's N&uuml;sslitorte was our desert today" >}}
  {{< gallery-photo fn="2024-08-23/IMG_0797.JPG" caption="The candle was fun to watch - the flames were very mesmerizing, and it burned all the way down to the bottom of the log" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

