---
title: "Week 5, Tuesday: Moeke"
date: 2024-08-27T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/beatport-nora.png" alt="Credit: Beatport, Youtube" >}}

In the morning, Marina joins me downstairs where I am having my morning coffee - the task at hand is
to blow up birthday balloons and sign Moeke's card. Marina made a really fancy one (she scrapbooks
and makes port- and birthday cards that _Hallmark_ would be jealous of. This one for Moeke is
elaborate, as it folds open in two different ways. We both sign the card -- Quinn did so before
leaving for work this morning -- and I blow up baloons while Marina inflats the _Happy Birthday_
sequence. We hang it up while Nicole and JPH are shopping at _Media Markt_, possibly for a birthday
gift?

Upon their return I find that yes, earbuds is the gift this year - and I help Moeke install them on
her iPad and find a charger for them. We then have a brunch with tasty sandwiches and (for me at
least) boiled eggs and ham. We spend some time just talking and planning the rest of the week.
Tomorrow we have a dinner at _R&ouml;ssli_, our local restaurant in Br&uuml;ttisellen, and I'll be
doing the Equinexit so I explain to the family a bit what all of that means. 

After lunch, the parents sit outside in the yard reading a book, and I seek a less hot spot in the
basement.  A delivery came in the mail today - a few new/different RS485 USB readers from
Aliexpress. I plug one in and connect it to one of those modbus Ammeters I got earlier. Booyah -
works on the first attempt:


```
pim@summer:~ $ for i in 8 24 40; do mbpoll -b 9600 -P none -0 -a 1 -t 4 -r $i -c 1 -l 100 /dev/ttyUSB0; done
[8]:    203
[24]:   500
[40]:   1000
```

Noice! This shows register 8, which is "Current through Coil A, in units of 0.01A", so 2.03A, and
register 24, which is "Frequency through Coil A, in units of 0.1Hz", so 50Hz, and finally register
40, which is "Current Transformer winding count on Coil A", which is 1:1000. Seems to be in working
order! I play around with the current, going from 10W to 50W to 400W, and it's all within reasonable
distance of my digital ammeter. Progress! I pasted it here mostly so that I don't forget the
`mbpoll` arguments I used to get this to finally work :)

Moeke wants to eat chilly con carne for her birthday - well okay then! Marina also whips up a batch
of beef tomatoes with buffalo _Burrata_ and a vinaigrette, which we munch on as a starter. The
chilli tastes great, and I put some of the hotsauce (garlic and habanero paste, really) on it, which
is nice. I eat a little bit too much - as do my tablemates it seems - so after dinner we take a
short walk to the _floof chickens_, once again they are nowhere to be found, so we make a detour to
a second chicken coop in the neighborhood, but the chickens there are also already inside. Did we
really eat all the chickens?!

On the way back from the walk we pass by an old mansion called _Landheim Br&uuml;ttisellen_, which
is 150 years old. They have a cute cart being pulled by a number, and I notice that the wooden
statue of the person in the cart has a cellphon in their hand. Cute detail. We also bump into a
neighborhood kitty who wants to be petted; but she's a bit of a fickle one because she wants to be
petted except she does not want you to pet her. She comes closer, hangs out, and the moment you
reach out she will back off a few meters. But, I snuck in a little petting anyway. Cuz that's how I
roll.

At home, we watched somewhat of a lame SciFi romcom, called _Moonshot_, from 2022, featuring Cole
Sprouse alongside Lana Condor. The storyline is super lame, but luckily the acting is too, so we end
up just hanging out on the couch watching it and taking it as-is. I think maybe _Stowaway_ would be
a better plot around the same theme, but hey. You win some, and you lose some.

Tomorrow morning I will bike to Equinix to clear out IP-Max's rack. I decide not to have that
proverbial nightcap, and fall asleep pretty quickly. I think I'm entering the state of mind where
things don't have to go quick and fast - perhaps I've decompressed to the point where I can enjoy
the little things, and as well the _Dolce far niente_ (Italian: softly doing nothing). I mean, if
the highlight of the day was eating chilly and petting a grey cat on our cul-de-sac, then I think
I'm pretty _zen_ for the moment.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-27/IMG_0847.JPG" caption="Marina and I inflate (and later blow up) several balloons for Moeke and Pepe, whose birthday is two days apart." >}}
  {{< gallery-photo fn="2024-08-27/IMG_0849.JPG" caption="The ammeter is reading 2.03A while the digital current meter says 1.87A, I'll calibrate each one once I have a running firmware, but this is good progress!" >}}
  {{< gallery-photo fn="2024-08-27/IMG_0856.JPG" caption="The ESP32 microcontroller is reading the ammeter, great success!" >}}
  {{< gallery-photo fn="2024-08-27/IMG_0857.JPG" caption="The starter tonight is a beautiful buratta with beefy tomatoes and peppery rocket salad" >}}
  {{< gallery-photo fn="2024-08-27/IMG_0858.JPG" caption="The mains tonight is a bowl of chilly con carne, which really does hit the spot" >}}
  {{< gallery-photo fn="2024-08-27/IMG_0859.JPG" caption="The backup chicken coop (eg. floof no. 2) also reveals no chickens today." >}}
  {{< gallery-photo fn="2024-08-27/IMG_0860.JPG" caption="Our local Landesheim turns 150 years old this month. So much culture in such a tiny village!" >}}
  {{< gallery-photo fn="2024-08-27/IMG_0862.JPG" caption="The kitty wants to be petted, except she does not want you to pet her." >}}
  {{< gallery-photo fn="2024-08-27/IMG_0863.JPG" caption="Cole Sprouse also has a kitty (a stowaway just like him)" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
