---
title: "Week 5, Saturday: Zurich Open Air"
date: 2024-08-31T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/noraenpure-04.png" alt="Credit: MLDBeast -  Nora en Pure, Youtube" >}}

I got up late this morning, and had a great nights' sleep. The day before yesterday was a bit rough
on my sleep, but I totally made up for it this last night. That's good, because today will be a long
day at [[Zurich Open Air](https://zurichopenair.ch/)]! Although it starts at 14:00, I'm going a bit
later, planning to be there at 17:30 or so in time for the _Sugababes_ performance. Somehow I had
never thought that I would actively go to see them, but it's an as good a start to ZOA24 as ever :)

In the morning, I bake a rustic bread which has been fermenting overnight; it has a lot of flavor,
and it'll do nicely with boiled eggs and salami. After lunch, I go downstairs to catch up on my
writing. After I just started, my buddy David asked on the _Hardship Brotherhood_ Signal channel
what types of microphone we use - he's in the market for a new USB mic. Ha! Just up my alley as only
a few weeks ago I did a bunch of deep dives into both wired and wireless mics, and audio processing
to make the sound a little bit better. Feeling adequately nerdsniped, I record a quick video
demonstrating the difference between a small (lavelier) mics and a larger (condenser) mic.

{{< video src="/media/vdo/2024-08-31_11-12-55_11.16.21.mp4" >}}

In the afternoon, I make my way over to Opfikon, the town where Zurich Open Air holds its festival.
I bike past this field several times a month, as it's on the way from both my place and Interxion
(Glattbrugg), where IPng's `chgtg0.ipng.ch` router lives, as well as NTT (R&uuml;mlang), where
`chrma0.ipng.ch` lives. So I happen to know that I can just park my bike at either datacenter
within 1km of walking, although I decide to drop the bike at a local UBS office _just_ at the
entrance of the festival grounds. Slick!

## Zurich Open Air

ZOA'24 is spread across four days. Last week I was a bit sad that I hadn't bought a ticket for the
whole thing, because Macklemore and Miss Monique were both in the lineup. But, not to worry, today's
line up is pretty great as well. ZOA24 consists of three stages - the Main Stage, and opposite to it
the ZOA Stage, and off to the side lives the Dance Circus. Each of these has five artists lined up,
and they are sufficiently far enough apart that their sound doesn't cause confusion, unless you're
in the exact middle of the fairground, and you'll get bombarded from literally all sides.

It turns out, the organizers have not overlapped Main Stage and ZOA Stage, which means that every 90
minutes or so, 50'000 people walk from one side to the other. It's fun to see the somewhat abandoned
'cold' stage. Meanwhile, the Dance Circus has a DJ spinning essentially the whole time. It's a tent,
which makes sense to create a club-vibe, with lights overhead and a big video-wall behind the
turntables.

In the middle there's plenty of food shops and drinks, as well as a few pop-up stands from Samsung,
Heineken and Aperol Spritz. But I'm not planning on drinking, as it's going to be a long day and
night ahead; so I grab myself a bottle of water which I refilled like eight times :) Cheap date!!

I first took some pictures of the empty venues (Main Stage, ZOA Stage and Dance Circus). Then at
17:40 or so the crowd came literally _flooding_ in from the other side (where
[[Kaffkiez](https://kaffkiez.com/)] had just wrapped up).

> **KAFFKIEZ** are a bit like the guys in your neighborhood you always like to go out with. Their music
> is all about having a good time, be it with buttons in your ear in S1 or when 120 decibels at a
> live concert save you a trip to the hairdresser. The band’s sound is like a drunken summer night
> with your soulmates, with whom you can not only get completely fucked up but also share your
> deepest worries. The songs sing about the ups and downs of everyday life, garnished with the
> typical kaffkiez irony and without losing sight of social problems.


I have a purple wristband on, which means I paid more monies to be able to sit overhead on a
balcony, in case it rained, and with access to toilets that do not have fourty people standing in
line!  But I do intend to be "downstairs" for the performance, so I go stand smack in the middle of
the audience while the [[Sugababes](https://en.wikipedia.org/wiki/Sugababes)] start their gig. The
'babes are still (or, again) going strong, and I get a taste of the sound quality making the video I
posted for David all of the sudden sound terrible in comparison. But, they be professionals, and I
but be an amateur.

> **The Sugababes** are a British girl group that was founded in the late 1990s and became known for
> their unique pop sound. Their music is characterized by catchy melodies, harmonious vocals and a
> mixture of pop, R&B and electropop. With hits such as “Freak Like Me”, “Round Round” and “Push the
> Button”, they achieved international fame and dominated the charts in the 2000s. The band went
> through several line-up changes, but each new member change brought fresh impetus and helped to
> further develop their sound. Despite these changes, the essence of their music – strong vocal
> harmonies and catchy beats – always remained. 

I grab a chicken gyros, which tastes great, and make my way over to the other side where
[[Aurora](https://en.wikipedia.org/wiki/Aurora_(singer))] captivates the audience with powerful
vocals. She's very lively also, stomping around in a bright red dres. I had never heard of her
before, but I take notes, it's awesome!

> **Aurora Aksnes**, known as Aurora, is a Norwegian singer-songwriter and producer born on June 15,
> 1996 in Stavanger, Norway. Her music is characterized by her unique voice, poetic lyrics and
> experimental soundscapes. Aurora gained international recognition with her debut album “All My
> Demons Greeting Me as a Friend” in 2016 and is known for her energetic live performances and
> emotional authenticity. Aurora is also actively involved in environmental and human rights issues.
> Her song “Runaway” has been used in various films and advertising campaigns, contributing to
> further popularity. Her artistic style combines elements of indie pop, electropop and folk.

Then I feel my feet starting to remind me they exist, which sucks because it's only like 19:30 and I
have a long ways to go. So I go hang out at the VIP lounge for a little bit, grab a Coke Zero and a
bottle of water, and look at planes sliding by on runway 34. I also saw the sound mixing equipment
from the Sugababes get transported off by some heavy lifter machine, which was a fun detail. That's
the nice thing about having a dual-stage, this side is completely empty as ~everybody is on the
other side, enjoying Aurora.

But then, [[Anne-Marie](https://en.wikipedia.org/wiki/Anne-Marie)] starts, and although I dont
recall having ever heard the _name_ before, as soon as she starts, I'm like "oh right, that one!". I
listen to more music on Spotify and YouTube without really seeing who it's from, which is why I'm
tererible with names.

> **Anne-Marie**, the British singer and songwriter, has made a name for herself with her versatile and
> powerful music. Her style encompasses pop, R&B and dance, standing out with her exceptional voice
> and honest lyrics. She became known through hits such as “Alarm” and “Ciao Adios”. Anne-Marie
> began her career as a backing singer before taking off as a solo artist. Her debut album “Speak
> Your Mind” from 2018 brought her worldwide recognition and several chart positions. An energetic
> performer with a unique stage presence, Anne-Marie is known for her captivating live performances.
> Her career is reflected in her musical maturity and creative development, and she remains a
> significant figure in contemporary pop music.

After Anne-Marie, in her cute braids and _California_ t-shirt, I decide to quickly grab some grub
underway to the next performance. It's a classic BBQ hamburger and fries, and I sit outside the
Dance Circus listening in on the DJ that's performing there: [[Marco
Berto](http://www.marcoberto.ch/)], a local Swiss House music DJ with a nice beat with deep bass. I
am already getting very excited for what I'll get to hear (and feel) later tonight. Outside, there's
a sound meter and they are carefully monitoring the sound pressure levels, it's just edging towards
100dB, "it's the law". Harrumpf.

> **Marco Berto** has been scorching dancefloors for over two decades now, successfully publishes
> his own label Deep Love, running his Radioshows on Planet 105 and Radio Deep, has won acclaim on
> the international scene and has become a household name on the Swiss Housemusic scene in the
> process.  During his career, Marco was longtime resident DJ at the famous Club Q in Switzerland,
> played at several places in Germany, Ibiza (Space), St. Petersburg, Thessaloniki, Barcelona and
> shared the decks with various artists.

With my hamburger and fries (with ketchup, I mean, who _does that_) down the hatch, it's only a very
short walk to the ZOA Stage where hip hopper [[Trettmann](https://trettmann.de/)] is slinging. I
like the bass tunes of his dancehall mixed with hip-hop, and clearly so does the audience. I have
never heard of this guy before, but he's clearly a popular (german) performer.

> **Trettmann**, the German rapper and singer, has established himself as a versatile artist with a
> unique style. His music, which is a mixture of reggae, dancehall and hip-hop, reflects his
> multi-faceted cultural influences. Trettmann began his career in the 1990s as part of the rap
> group “K.I.Z” and later developed into a successful solo artist. His breakthrough came with the
> album “Adriano” in 2016. Since then, he has cemented his position in the German music scene with
> albums such as “DIY” and “TRETTMANN”. Trettmann’s distinctive voice, combined with his catchy
> melodies and profound lyrics, has earned him a firm place in the modern rap landscape. With an
> impressive career, Trettmann remains an influential figure in the German music scene.

After Trettmann has wrapped up I mozy over to the other side where on the main stage, Sido is about
to start. It's really busy, and also really getting dark now (it's 22:00 or so), and the stage
lighting starts to show itself off more and more. They have the beams pointed straight _up_ and I
would *not* want to be an airplane now landing on runway 34 (which is 200m away from this stage), in
fact I just wonder: how did they get permission to do that next to an active runway?

> **Sido**, whose real name is Paul Würdig, is a German rapper and producer who was born on November 30,
> 1980 in East Berlin. Known for the distinctive mask he initially wore, Sido has been shaping the
> German rap scene since the early 2000s. His debut album “Maske” from 2004 brought him great
> recognition and laid the foundation for his successful career. Sido is known for his controversial
> and provocative style, which addresses social and political issues. In addition to his music
> career, he was also a judge on the German version of “The Voice of Germany”. With hits such as
> “Bilder im Kopf” and “Mein Block”, Sido remains a defining figure in German hip-hop.

This bearded guy reminds me a bit of a co-worker I have (name unnamed, in case _they_ do not believe
they look like Sido). The music is okay, and clearly he's a popular artist judging by the audience
which is going absolutely mental and screaming along the lyrics. Me? I'm just buying time, because
in only a few minutes I get to go to the Dance Circus.

I arrive there at 22:50, and being a nerd I even set an alarm so that I would not miss it. It's
pretty packed in the tent, but I make my way forward until there is more more forward to go: I am
pressed up against the cattle bar on the left side of the stage, just under the speaker wall. I'm
ready for [[Nora en Pure](https://www.noraenpure.com/)]:

> **Nora En Pure**, the South African-Swiss producer and DJane, is known for her captivating
> interpretation of deep house and indie dance. Her music is characterized by organic sounds, rich
> melodies and an elegant atmosphere, often inspired by natural elements. With hits like “Come With
> Me” and “Lake Arrowhead” she has gained international recognition. Nora En Pure’s tracks are
> characterized by a timeless elegance and her artistic diversity is reflected in a range from club
> hits to relaxed lounge tracks. As the founder of the label “Enormous Tunes”, she has not only
> advanced her own career, but has also contributed to the development of the deep house scene. Her
> DJ sets are known for a perfect balance between driving beats and melodic sophistication. Nora En
> Pure remains an outstanding personality in the world of electronic music, inspiring audiences with
> her unmistakable sound.

I like listening to Nora En Pure's _Purified_ on YouTube, she brings out a weekly one hour set on
Mondays (well, records on Saturday, but release to SoundCloud, YouTube and bandsintown on Mondays),
and I've been listening to it every week since ~the pandemic. It's wonderfully tranquil deep house
wonderfully stitched together. The first thing I notice is: live is waaaaay different than online.
Perhaps this is because of the wall of like 80 subwoofers that are possibly less than two meters away
from where I am standing. Every drum kick physically makes the hairs on my legs and arms tickle, and
when I am recording on my cellphone, you can see the camera being distorted. Oh yes, this is
different than on YouTube, and no ads :)

Every now and again, somebody to my right leaves and I scootch over, until I am possibly less than
eight meters away from the turntables. I take many (many) pictures and short video clips, but there
is absolutely no lighting on stage. She is playing in the dark, wearing black clothes, and there are
beams of light and strobes pointed at the audience, so really the pictures are quite terrible. I
smuggled in a screenshot from the Armensee recording in 2021. I feel my way through the set, and
really thoroughly enjoy the music. Totally worth it, but the ninety minutes pass too quickly!

I am on a natural high as I float out of the tent at 00:30, but the festival isn't over yet. I
see that the ZOA Stage is _gemacht_, as Ram&oacute;n would say, but there's still 'a few', or maybe
more like 'thirty thousand' people hanging out at the Main Stage, which I see has fireworks and
strong green and red lighting (but not laser lights, that would be too much even for Zurich Airport,
methinks). I'm surprised, because it's [[DJ Kygo](https://en.wikipedia.org/wiki/Kygo)] on stage! 

> **Kygo**, the Norwegian DJ and producer, has established himself as a key figure in the field of
> tropical house. His music is characterized by airy, tropical sounds, catchy melodies and relaxed
> beats. Kygo became internationally known through remixes of well-known songs before cementing his
> own style with hits such as “Firestone” and “Stole the Show”. His debut album “Cloud Nine” from
> 2016 was well received by critics and fans alike. Kygo continues to successfully set himself apart
> from other electronic producers through collaborative work with various artists and his signature
> sound. With his unique blend of house and melodic pop, Kygo has made a significant impact on the
> modern electronic music scene.

I spend another hour and a half coming down from my natural high and at some point, take one last
look around the festival grounds: the Dance Circus has hard techno (from
[[Artbat](https://en.wikipedia.org/wiki/Artbat)]) which won't work for me today.

> **Artbat**, the Ukrainian DJ and producer duo, have made a name for themselves in the electronic music
> scene with their distinctive style. Their music combines techno, progressive house and melodic
> elements, creating a dynamic and atmospheric soundscape. Artbat is known for powerful, hypnotic
> beats that conquer dance floors all over the world. With hits like “Tabu” and “Upperground” they
> have gained international attention. The duo cultivates an artistic diversity that ranges from
> epic, cinematic moments to energetic club tracks. Their influence in the electronic dance music
> scene and their constant presence on major festival stages underline their importance as leading
> figures in this genre.

I sit outside on the grass and feel that feeling which I often have in my bassment (haha bass-ment),
that all of the sudden the temperature registers and I go from "normal" to "oeh, it's cold", and
seeing it's 02:00, I decide to take off home. Kygo is wrapping up his set and I want to beat the
crowd out. Exiting ZOA24 is easy, and my sore feet take me the 200 meters or so to where my bike is
parked. I have a slight surprise there, the torque sensor in my bike is acting up (and I have an
appointment to get it fixed on Wednesday), so it won't go. I kick it a little bit, and the torque
sensor is detected again, only to insist to to go full speed whenever I release the brakes. Well, OK
then, at least the "bike"-ride home is effortless.

I finally arrive at home at 02:15 or so, and my phone has barely enough battery left to open the
frontdoor. This was a nice festival, with lots of diversity and choice. I shall now pass out.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-31/lineup.png" caption="The line up for the fourth and final day of Zurich Open Air 2024" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0944.JPG" caption="The Main Stage at ZOA24, which is pretty impressive considering it's in the middle of a field in Opfikon." >}}
  {{< gallery-photo fn="2024-08-31/IMG_0945.JPG" caption="The Dance Circus stage with vidi-wall behind it. I've essentially come to ZOA24 for this stage." >}}
  {{< gallery-photo fn="2024-08-31/IMG_0949.JPG" caption="The dinner: chicken gyros with french fries in flat bread. 15 bucks, please!" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0951.JPG" caption="The Sugababes on Main Stage at 17:45." >}}
  {{< gallery-photo fn="2024-08-31/IMG_0957.JPG" caption="Proof that I wore matching shirt for the Sugababes vidi-wall." >}}
  {{< gallery-photo fn="2024-08-31/IMG_0961.JPG" caption="The Min Stage audience, not yet everybody arrived, or they don't like the Sugababes :)" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0967.JPG" caption="After the 'babes, I see a forklift retrieve a few flight cases of equipment; it's all in a day's work I suppose" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0972.JPG" caption="Aurora is on the ZOA Stage, and holy moly this one has a voice in her" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0979.JPG" caption="Anne-Marie is on the Main Stage, singing her distinct style" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0982.JPG" caption="I think Anne-Marie is a cutie with her braids, California t-shirt and silver poofy dress" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0986.JPG" caption="Marco Berto is spinning in the Dance Circus at Zurich Open Air 2024" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0989.JPG" caption="The sound technicians keep a close eye out for the sound pressure, must not exceed 100dB so they flatline it at 99.x :) - for the record: that is 30 meters from the speakers, and in front of the speakers it's ... a whole new thing" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0992.JPG" caption="Trettmann performs on the ZOA Stage" >}}
  {{< gallery-photo fn="2024-08-31/IMG_0995.JPG" caption="A closeup of Trettmann doing some ballad of sorts, with an overlay of cell phone lights in the background" >}}
  {{< gallery-photo fn="2024-08-31/IMG_1006.JPG" caption="Sido is at Main Stage, and he is singing about photo albumbs with silver buttons and pictures inside. Well, I took your picture, Sido!" >}}
  {{< gallery-photo fn="2024-08-31/IMG_1011.JPG" caption="A closeup of Sido, who wore a white pullover onto a stage with lights on him, while it is 30C outside. Bilder? Krank im Kopf!" >}}
  {{< gallery-photo fn="2024-08-31/IMG_1031.JPG" caption="Nora en Pure spinns in the Dance Circus at Zurich Open Air 2024" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1043.JPG" caption="Although I'm maybe ten meters away, it's after dark, there are no lights on the stage (only into the audience), so I can't really take pictures of Nora en Pure playing." >}}
  {{< gallery-photo fn="2024-08-31/nora.png" caption="A screenshot of Nora en Pure playing at Armensee in Switzerland, a beautiful set from 2021." >}}
  {{< gallery-photo fn="2024-09-01/IMG_1044.JPG" caption="Kygo is spinning on Main Stage, which is a nice cool down from the hot and loud Dance Circus I was in for 90min" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1046.JPG" caption="Kygo has the benefit of an elaborate light show with his set on Main Stage at Zurich Open Air 2024" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
