---
title: "Week 5, Sunday: Da Vinci at Maag Lichthalle"
date: 2024-09-01T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/mldbeast-nora.png" alt="Credit: MLD Beast, Nora en Pure, Youtube" >}}

One of the nice things about getting home at 02:30 after lunging around at an open air festival for
10 hours straight, is that one gets kind of tired. I fell asleep as soon as my head hit the pillow
and woke up this morning at 11:30 after a great night's rest. It does however mean that the morning
turns into the afternoon very quickly.

After lunch, I reconfigured [[IP-Max](https://ip-max/)]'s ASR9001 from L2 mode to L3 mode, and
hand-configured 12 static ARP entries, 12 static IPv4 routes and 12 static MPLS entries, in order to
do my second set of loadtests. I let them run (for a few hours), as I prepared myself for the
afternoon session. Tomorrow, JP and Nicole move onwards to Austria, so today Marina has arranged a
visit to a local exhibition of _Da Vinci_'s life and work, as well as a tapas dinner in a place in
Albisrieden.

At 14:30 we make our way to Zurich,'s Hardbr&uuml;cke train station, and the _Maaghalle_ is only a
few minutes walk from here. While there's also from time to time concerts and theater shows here,
there is also one large room which is fitted with projectors and objects to make a somewhat
different, and in my opinion really slick, type of art: light shows.

First, we walk through a hallway with sketches, stories and background information on Leonardo da
Vinci. We learn all about his inventions, from crazy (at least: at the time!) to practical gears and
even the first panzer tank design. We look at some of his paintings, at his anatomical works, and
I'm continuously delighted by his brilliance. What a guy!

Then, we round the corner and there's a door that leads to a twenty by fourty by ten meter open
space, which has no windows. In this space there is a large cube, a few places to sit, including
bean bags, and a stairway to a balcony that sits three or so meters above ground. In this room, a
spectacle unfolds: there is a thirty minute video recording that chronicles Da Vinci's life and all
the things he's accomplished. The nice thing is: the whole room is lit, the walls, the floor, the
cube, are all meticulously projected on by a set of twenty or so huge overhead projectors. I try my
very best to find projection errors, but there are _absolutely_ no seams, no overlaps, no ripples,
nothing! At some point, I do find a vertical line, but it turns out to be a seam in the wall,
nothing to do with the projection. I tip my hat to the mechanical and video engineering here, I
don't think I've seen anything quite as well done before.

I watch the video one and a half times, to make sure I get the whole spiel. It's delicious, and the
sound is also projected very nicely (although, after Nora en Pure yesterday, somewhat underwhelming
sound pressure wise). I also take a look inside the cube, where Da Vinci's _Virtruvian Man_ hangs
life sized, and Quinn joins me. The room is full of mirrors which are meticulously arranged to
create an infinity of Quinns and Pims.

After the [[Maag Lichthalle](https://www.lichthallemaag.ch/lhm/de.html)], we make our way over to
[[Iberia Tapas](https://iberiatapas.com/speisekarte/)], which has a nice assortment of wines and
bites. We order a _first round_ with the usual, _pan con tomate_, _tortilla de patata_, a little bit
of _jamon_ because why not?, some _croquetas_, a few _bacalao con clcachofas_ (artechokes), and
_piementos de padron_ for el patron (me). For the wine, I get to choose an _Aalto_, which is really
good. Lots of olive oil with bread is consumed, and overall we have a brilliant time. After the
first round, we order a little bit more, _gambas al ajillo_, a nice beef _puntas de solomillo con
chimichurri_ for that little south-american flavor, some oxtail _canelon de rabo de toro_ and a
cevice of _tiradito de lubina_. After that, the stuffing of faces was complete.

On the way back we saw lots of FCZ folks, but we are unsure if they were celebrating or licking
their wounds - they were neither pissy nor drunk nor roudy nor happy. What gives? We stopped at
Zurich main station for a little bit of ice cream for those who wanted (Quinn, Marina and JP), and
made our way home by 21:00 or so. It had started to rain a little bit, but Quinn and I decided to
weather it (hrhr) and walk home. It was really nice seeing the lightning at >10 seconds away, so we
figured we'd for now be safe. At home, we sat outside in the yard while it started to lightly rain:
light rain, but big droplets. It was refreshing!

After JP, Nicole and Marina came home (they took the bus so had to wait 15min at the statino), Quinn
and I went inside because the light rain with big droplets turned into big rain with big droplets.
We watched a big batch of news: Dutch, Belgian and Swiss news. They all talked about the German
elections, but we also got an answer to our FCZ question. it was a tie :)

At around 23:00 we turned in for the night. Tomorrow morning, Marina has her sketch class in
Oerlikon, Quinn will be off to school, and JP and Nicole will be on their merry way to Austria. That
means I get to have the house to myself for most of the day -- and I find that quite OK!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-01/IMG_1048.JPG" caption="Quinn is wearing spikies on his wrist, and we try not to puncture a spleen." >}}
  {{< gallery-photo fn="2024-09-01/IMG_1049.JPG" caption="Leonardo da Vinci's life work exhibit in Maag Lichthalle in Zurich" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1050.JPG" caption="A Da Vinci exhibit is not complete without Mona Lisa (a replica, obviously)" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1054.JPG" caption="We enter the light exhibit room, mid-video. We first sit down on ground level a little bit to take in the lights from all sides" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1058.JPG" caption="Marina and I take a licht-halle-selfie while the Da Vinci movie pleys" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1060.JPG" caption="You can see the pixels from the ovehard projectors on my hands - it looks like I'm wearning stockings!" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1061.JPG" caption="From the balcony on the first floor, the view into the room is absolutely stunning." >}}
  {{< gallery-photo fn="2024-09-01/IMG_1068.JPG" caption="Another view from the balcony into the room, while it's projecting Da Vinci's astronomy work. It's gorgeous." >}}
  {{< gallery-photo fn="2024-09-01/IMG_1072.JPG" caption="Quinn and I find each other in the infinity cube. Or did we?" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1075.JPG" caption="Quinn: 'Can I pet that dawg?' in southern drawl. Acceptable use of drawl." >}}
  {{< gallery-photo fn="2024-09-01/IMG_1076.JPG" caption="We have an Aalto wine from Ribera del Douro, which is a favorite of mine" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1077.JPG" caption="Our table full of tapas, version 1.0. In total there were three orders." >}}
  {{< gallery-photo fn="2024-09-01/IMG_1079.JPG" caption="This seabass cevice was a really tasty treat." >}}
  {{< gallery-photo fn="2024-09-01/IMG_1080.JPG" caption="After dinner, we all got some liquor to celebrate the day" >}}
  {{< gallery-photo fn="2024-09-01/IMG_1081.JPG" caption="On the way back to the station, I saw this nice bike." >}}
  {{< gallery-photo fn="2024-09-01/IMG_1084.JPG" caption="While walking home, the skies darkened and a lightning storm formed, which was quite the sight!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
