---
title: "Week 6, Tuesday: Prusa MK4S"
date: 2024-09-03T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/harrymack-02.png" alt="Credit: Harry Mack, YouTube" >}}

This morning I got up by a, what do the normal people call it?, "alarm clock" at 08:00. I did not
like being woken up by such a device, and I begrudgingly turned around a little bit. The person next
to me was also not really ready to get out of bed, so I did something that is somewhat unique in our
house: I got up before Marina did! And made her coffee, oh what a loving spouse I am.

I have an appointment at the Stromvelo shop at _Zurich Buchegg_ which is not too far away, and I
bike past there several times a week normally as I commnute from Br&uuml;ttisellen to Google in the
city. I remain worried about the Stromer ST5, as it keeps on randomly failing its torque sensor,
which renders the bike pretty much unridable. But, the Deity of Cycling is smiling upon me this
morning, and after my morning coffee I hop on the bike -- which works!! These last few months, it's
been either 'not working at all', or 'super sensitive and immediately wants to go full power'. This
morning was the latter situation, so biking to Buchegg was ... not a problem.

I arrived there at 09:05 or so, while the shop opens only at 10:00. I locked the bike and dropped
the key in the mailbox, and decide when I get home, that I will give them a call to confirm. It's
about 2km from here to Oerlikon train station, and I'm very close to Bucheggplatz which is sure to
have a few _Bolt_ or other electric scooters. I grab one at the tram stop at Bucheggplatz and make
my way to the train station. It's kind of fun to have one of those 45km/h (28mph) bikes and then
crawl forwards at 19.9km/h (12mph) on the scooter. It's sooooo slow. I manage to even take a selfie
of myself on the scooter, which of course doesn't reveal that I'm on a scooter at all. But, I scoot
my way to Oerlikon, grab the train and then the bus home.

While I'm in the bus, I get an e-mail from DHL that they have dropped off another package from Prusa
Research in Prague. Huh? Did they send me _two MK4S_?, I think, and I make myself ... promise ...
myself (hint: that was an Austin Powers wordplay) that I will not give it back if it's another MK4S!
But Marina quickly puts my greedy mind to rest - it's merely the second half of the package that was
already underway. Yesterday the MK4S was delivered, and today it's the MMU3 and some heat elements /
parts for my currently not working MK2.5S. Fair enough.

### The Prusa MK4S

Building the Prusa MK4S is a treat. Except, I'm a dunce so I download the MK4 (not MK4S) build
instructions, and about halfway through it asks me to grab some plastic part or other, and I spend,
I kid you not, a full hour looking for this part. I go through the box, maybe 4 times, inspect each
part, also look through my trashbin, and pull out a few hairs, lose a few years of my life, only to
conclude: oh, this is the MK4 manual, and I'm building an MK4S. Whoopsie. First, I backtrack a bunch
by reading the MK4 to MK4S upgrade guide. Later still, I find that, yes, you dumbass, there's also
just an MK4S assembly manual. People can be so stupid some times.

Apart from my inability to read instructions or navigate the Internet, the build is a really great
success. I get most of the way through, and spend most of the afternoon being absolutely impressed
with the progression of the _technology_ of these printers. I started using Prusa in 2017 with
the Original i3 MK2, which I later upgraded to an MK2.5S. Then I built and used an MK3, which had a
lot of clever upgrades. There are a feww upgrades on this MK4S that I am most happy with:

1.  Instead of an inductive sensor, called a PINDA (**P**rusa **IND**uction **A**utoleveling), not
to be confused with the Dutch slur for Indonesian people, there is now an actual loadcell attached
to the printer nozzle tip. Before, the PINDA would scan for the metal in the plate, and if the
Z-distance between the PINDA and the nozzle tip was known, it could be pretty accurate. However,
a perhaps better way is to use the _nozzle itself_, and measure the pressure as it bumps into stuff.
Using a very sensitive [[loadcell](https://www.prusa3d.com/de/produkt/hotend-heatsink-xl-mk4/)],
(which is also found in kitchen scales), it will gently bump into the print surface -- regardless of
how thicccc or thin it is -- and use up to 49 measurement points to do a direct mesh leveling
calculation. Result? Absolutely flawless first layer thickness and adhesion on the entire build
surface, not just the middle. Winner winner, Chicken Dinner!

1.  The hotend is now a
[[Nextruder](https://www.prusa3d.com/de/produkt/nextruder-hotend-brass-0-40-mm/)], where the whole
thing is one piece that can be inserted - and released! - using two thumb setscrews. Before,
removing the hotend and replacing parts within, was a matter of disassembling the entire print head.
Now, I can replace the hotend + nozzle for different diameters, by simply disconnecting the hotend
heater wires, and the thermocouple connector, on a daughter board called a
[[LoveBoard](https://www.prusa3d.com/de/produkt/loveboard/)] for a reason not entirely clear to me.
But with this new cable, the filament sensor, loadcell, extruder stepper motor, thermometers and
fans are all connected in the print head, with shorter wires that travel through a cavity in the
print head PETG parts. It's really clever, and I'm looking forward to changing the hotend more
easily in the future. This hotend is "high flow" with a 40W heater element, and a 0.4mm nozzle,
which can push out a huge amount of 1.75mm filament. The flow rate can be very precisely controlled
by a new planetary gear system in the extruder feeder. It looks very fancy!

1.   Although it's a small thing, the stepper motors are a huge upgrade. They're first of all _much_
faster than the MK2.5/MK3, and they are also a fair but more precise (0.9 degree steps instead of
1.8 degree steps - which means 400 steps per revolution). They say it's going to reduce the smaller
layer offsets called _VFA_ (Vertical Fine Artifacts). Honestly, I never really had issues with the
MK3 printer, but it's a good benefit.

1.   Finally, the Einsy board has been replaced by an xBuddy board, with a much faster processor and
more IO. It also couples with an NFC reader (which I think is pretty useless), and a WiFi based off
of ESP32! (which I think will be super useful). It also has ethernet by default, and the screen has
advanced from the classic dot matrix LCD display, to a 64k color touch screen. I decide to try out
Prusa Connect, where the thing connects via wifi to a service Prusa provides, and I can also make
the Prusa Slicer on my Mac connect to the same service: hence, I can print directly from the slicer,
and skip my [[Octoprint](https://octoprint.org/)] running on a [[PC Engines](https://pcengines.ch/)]
machine. Talk about fancy!

1.   A super small detail, but these things really matter. Belt tension has always been somewhat of
a dark art - I have some experience in this because of my RC Helicopters, some of which also use a
belt to drive the tail rotor. _Feeling_ how much tension to add, so that the belt doesn't skip, but
also not that it's so tight that it creates friction on the stepper motor, is pretty difficult.
Prusa added a really cool progressive web app that asks you to put your cell phone next to the belt,
and then strum it (sort of like a guitar). It then measures the resonant frequency of the belt to
figure out if it's too tight, or not tight enough. I've seen a fair amount of cool shit, but a _hat
tip_ to the engineer(s) who created this.

After dinner, we watch one episode of V-Wars after which Quinn decides to skedaddle. Instead of
watching some more TV, I retire downstairs with a bottle of Red wine, and finish the printer. I
completely nailed the belt tension using the app - the X axis at 84Hz and the Y axis at 94Hz, smack
in the middle of the green. You rock, Prusa microphone webapp! I'm really, really impressed by what
you've done. 

### The Results

If you're not into printing, [[3DBenchy](https://www.3dbenchy.com/)] was kind of
a torture benchmark, which would test fine layers, some overhangs, some very small cavities and
holes, etc. Early printers would often freak out on this, and create spaghetti, push the thing over,
fail to print the holes, or the overhangs, etc.

It's a little bit of a humblebrag, but the folks at Prusa ship this printer with two _Benchy_
printer objects. The first is called BenchyRules which is a 14 minute print. The second is called
BonkersBenchy which strips out lots of the insides, turns the object a little bit so as to minimize
the head movement, and is meant to print in 7 (yes, seven!) minutes. On my MK3, it'll take about an
hour to complete.

Now, normally, when the printer is built, the annoying task of doing calibrations, printing a few
first layers to calibrate the layer heights, doing a bed mesh tweak to make it as flat as possible
(mostly so that the objects on the outside of the print surface also stick to the bed!), flow rates,
you know all of that stuff. The Prusa MK4S? Uhh, I turned it on, let it do its self test where it
makes sure all the sensors and stepper motors are connected to the correct ports, and have
reasonable measurements. It asks me to tap the hotend tip (while insisting that it'll be turned
off), and I _tap-dat-ass_. It says things are all OK and that's ... it? In the menu, I click 'Load
PLA', which it does. Then I click "Print BenchyRules", and I am *fully* expecting it to  either
yell at me "you did not calibrate yet", or just completely destroy the print, but it does neither.

Here's my unfiltered, unscripted POV reaction a few seconds after it started printing:

{{< video src="/media/vdo/IMG_1116_22.46.16.mp4" >}}

The first thing I notice is that the whole workbench / table starts shaking under the violence of
the steppers, which are not even making much noise. The second thing I notice is that it is *so
fast, daaaaryum* this thing flies. People have asked me if this is in real-time, and yes, I can
confirm this video is directly from the iPhone with no editing, no speedup at all. This thing is
quick as a hare!

OK, while the BenchyRules and BonkersBenchy are cutting a lot of corners, it was an absolute _treat_
to build this printer and see it fly. It completed the benchy in 14 minutes, and the speedy
BonkersBenchy in 7 minutes. So much fun! Before I go to bed, I put on an 8 hours print on ABS
material to refurbish the MK3 into an MK3S; and for good measure I also put on an 8 hours print on
the MK3 to refurbish the MK2.5S with a new set of parts for the print head.

This was a fun day!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-03/IMG_1102.JPG" caption="After dropping off my bike at the shop, I grabbed a Bolt scooter to transport myself to Oerlikon station. The scooter doesn't go very fast, so I manage to take a scooting-selfie." >}}
  {{< gallery-photo fn="2024-09-03/IMG_1105.JPG" caption="The Prusa MK4S printer is halfway done. The Z and X carriage and the bottom parts are done. This is about 1/3 of the way through the build." >}}
  {{< gallery-photo fn="2024-09-03/IMG_1106.JPG" caption="For lunch I treat myself to a Smos Gezone (a healthy sandwich) with cheese, ham, lettuce, carrots, tomatoes, a bit of mayo and mustard." >}}
  {{< gallery-photo fn="2024-09-03/IMG_1111.JPG" caption="The electronics part of the Prusa MK4S showing its xBuddy board and lots of wires for sensors and stepper motors." >}}
  {{< gallery-photo fn="2024-09-03/xbelt.png" caption="The Audio Sensing application on my cellphone allows me to get perfect belt tension by measuring the frequency. Such a clever idea!" >}}
  {{< gallery-photo fn="2024-09-03/ybelt.png" caption="The Y belt tension is perfect when it hums at 94Hz. OK then!" >}}
  {{< gallery-photo fn="2024-09-03/IMG_1115.JPG" caption="The printer is done and booting for the first time. Literally 3 minutes later, I printed the Benchy in the videoclip on this journal. I don't think I've ever been up and running so quickly. So cool :)" >}}
  {{< gallery-photo fn="2024-09-03/IMG_1117.JPG" caption="The (modified) Benchy is printed in 14 minutes instead of 60+ on my Prusa MK3. There's a bit of trickery going on, but the end result is actually really good!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
