---
title: "Week 6, Wednesday: Stromer Drama"
date: 2024-09-04T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/dreamscape-02.png" alt="Credit: Kushsessions, Dreamscape, YouTube" >}}

After all of this printing heaven from yesterday, I got a little bit hooked. I liked what I saw with
the Prusa Connect, as an alternative to my tested and tried [[Octoprint](https://octoprint.org)],
and particularly it's nice to be able to send objects directly from the Prusa Slicer UI to a device
queue, and mark the printer _ready_ once the finished parts are removed and the bed is clean.

As it turns out, these features with PrusaLink are also available for the MK3! You can print a
different Einsy container which allows for a companion Raspberry Pi Zero to be attached to the board
using overly long (18mm) header pins. And it so happens that I have both the pins as well as a
Raspberry in my electronics box.

Off i go, using the MK4S to print new parts for the MK3, and while I'm at it, I also see that
there's an upgrade path from MK3 to MK3S+, with a few new parts to be printed. And now I'm in the
rabbit hole, and I'm in deep, and I see that there's *also* a few new parts on the extruder for my
oldest MK2.5S printer. So I use the MK3 to print parts for the MK2.5S, while the MK4S printer makes
parts for the MK3S+. I feel like I'm in an _Inception_ movie ... Printers printing Printers, must go
deeper.

Once the new board holder is printed, I solder the pins onto the Raspberry and flash it with the
Raspberry Pi imager and a stock Prusa image. I plug it in, and go off to lunch, as the instructions
say that the first install can take a while. When back from lunch, the printer is up and running,
connected to WiFi, and is asking me to associate it with Prusa Connect. That task takes no longer
than a minute, and I send my first object directly from the PrusaSlicer to this MK3 - slick!

The rest of the day, the printers are doing 8h, 10h prints for all the replacement parts for the
MK3->MK3S+ and MK2.5S refurbishment. I may end up selling the MK2.5S, in case you're interested, let
me know and I'm sure we can work out a reasonable price for it!

Now it's time for housekeeping. Marina and I divvy up the work in the bathrooms. I'll take the
ground floor and second floor attic, she'll take the first floor. We take care of the porcelain
thrones and wash basins and showers and what-not. Marina cleans the shower by .. taking a shower. A
rather novell technique, I must admit.

One that is out of the way, Marina and I go shopping. We plan the rest of the week and weekend in
terms of evening meals; and try to make it diverse with fish, beef, tofu, potatoes, rice and pasta.
But Marina also needs to finish her home improvement project, to upgrade the plungers on our toilet
water reservoirs, a drama that keeps on giving: every time she makes an improvement, it turns out
there is still water leaking through once the reservoir is full She decides to get yet another part
to see if that helps; and while we're at _Jumbo_, I also get an extension with a water filter for
our basement faucet.

At _Coop_, we end up keeping to our shopping list _roughly_, although we have a conversation about
an italian wine from _Vecchia Torre_ that I am pretty sure we have in our cellar, although Marina
disagrees. You get one guess only: who do you think was right?  At the grocery store I'm reminded of
an old Googler buddy of mine - Pascal Bovet - who moved to New York a long time ago, but from time
to time I still cross paths with him on LinkedIn. His login name at Google was bopa@, and at our
local _Coop_ grocery store, they were doing some works, revealing this [[bopa.ch](https://bopa.ch/)]
branded concrete construction block. I pinged him on LinkedIn, hoping to solicit a smile.

### The Stromer Jynx

While we're at the _Coop_, an e-mail pops up on my phone: the Stromer is ready! So we finish our
business at _Coop_, drive home to unpack and put away the groceries, and I make the faucet look more
like a mosquitto (once you see it, it cannot be unseen). Then off to Stromvelo we go. When we're
close by, I ask Marina if maybe she could wait in the car until I manage to pay and retrieve the
bike. It's at this very moment that I think I jynxed it.

The guy at Stromvelo is super, he walks me over the invoice (which is hefty, but then again this is
a Stromer ST5, so everything ie expected to be pricey). Theyv'e replaced the rear tire+innertube,
the +/- buttons on the handlebars, the torque sensor, as well as the front brake disc. All up, a
good service, but there is one problem. He turns on the bike and the dreaded "Cannot connect to
Torque Sensor" error pops up immediately. That's the same problem that I brought it in for in the
first place. He does a quick ride on it and comes back with bad news: problem is not fixed :-(

The Stromvelo guy clearly feels bad, but I've already sent Marina home [duh!] so I ask for a loaner
bike. He prepares an St5 replacement for me, and I sign the paperwork for it. He tells me the PIN
code but when I try it, it doesn't work. So off he goes, to reset the PIN code, and eventually he
comes back outside and I think I have everything I need. Turns out, the battery has only 12km left
in it, and it's about 7km ride. I insist that I'll be fine, even though he offers to swap the
battery. 

I ask if maybe the bike can be done before the weekend, as I'll be off to Friesland next week. Alas,
even more bad news: Stromvelo Buchegg is off for a training course (German: _Weiterbildung_) on
Thursday and Friday. But, he says, he'll make it a life mission on Saturday to take a good look at the
bike and see what's up. He promsies to give me a call, and I have the replacement ST5 until then.
All in all, I'm grateful that Stromvelo made the best of an otherwise bad-luck-jynx situation.

The bikeride home was uneventful, thank goodness.  Back home, I 'made' dinner, which is to say I
yeeted some potato / r&ouml;sti croquettes and a few _Schwyzer G&uuml;ggeli_ (rotissery chickens)
into the oven and exercised patience for thirty minutes.

After dinner, we watched a few episodes of _V Wars_ on Netflix, and at 20:00 or so the doorbell
rang. My buddy Sandro and the very popular Andrew (in my house at least, Quinn is a huge fan!) stop
by to pick up a few Celestica DX010 switches. We go downstairs, and talk about the switches a little
bit what to run on them. Sandro thinks maybe
[[OcNOS](https://www.ipinfusion.com/documentation/ocnos-hardware-compatibility-list/)], but I'm thinking 
likely [[SONiC](https://github.com/sonic-net/SONiC)], or possibly
[[Cumulus](https://www.nvidia.com/en-us/networking/ethernet-switching/cumulus-linux/)]. I still
haven't found a spare moment to dive into these switches, being on sabbatical is hard work! It turns
out, Andrew is also an avid 3D printer and we catch up on the print quality and speed of his Prusa
Mini versus this new MK4S. I wipe the drool off of the table, as Sandro packs up his switches.
That's another three large boxes less for the IPng Lab :)

After Sandro and Andrew leave I stay downstairs to enjoy the smell of molten PLA and PETG, paired
nicely with a dram of _Grappa Di Vinaccia_ from distillery _Vergnano_. You know this stuff is
serious when it ships in a one liter bottle. I get good news from the Netherlands - my talk for
NLNOG in October has been accepted; so I puzzle my calendar for a flight to Amsterdam on Monday
21st, and a flight back in the late morning of the 23rd, as I already have plane tickets from Zurich
to Barcelona in the late afternoon of the 23rd. It's tight, but it'll work :)

Tomorrow, I should probably start making the materials for these talks ...

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-04/IMG_1119.JPG" caption="The new case for MK3S is printing - it'll contain a special cavity for a Raspberry Pi Zero which will hook up this printer to PrusaLink." >}}
  {{< gallery-photo fn="2024-09-04/IMG_1120.JPG" caption="The finished parts for the new MK3 case on the MK4S printer." >}}
  {{< gallery-photo fn="2024-09-04/IMG_1121.JPG" caption="The MK3 case is retrofitted, the Raspberry Pi is installed and the display helpfully shows 'PrusaLink' is being started." >}}
  {{< gallery-photo fn="2024-09-04/IMG_1122.JPG" caption="I think of my buddy Pascal Bovet who goes by @bopa - he enjoys seeing the picture when I send him a DM on LinkedIn" >}}
  {{< gallery-photo fn="2024-09-04/IMG_1124.JPG" caption="The Vecchia Torre that I could've sworn we have in the basement, but Marina says we do not. She was right - damnit she's always right!!" >}}
  {{< gallery-photo fn="2024-09-04/prusaslicer.png" caption="A screenshot of the PrusaSlicer showing the printer stats and directly communicating with it over The Cloud (eg. somebody elses computer)" >}}
  {{< gallery-photo fn="2024-09-04/IMG_1125.JPG" caption="I added a little tube to our faucet in the basement - it somehow reminds me of a mosquitto that's ready to have dinner" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

