---
title: "Week 6, Thursday: *NOG Presentation"
date: 2024-09-05T19:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/kushsessions-05.png" alt="Credit: KushSessions, YouTube" >}}

In the morning, Dan from the [[APNIC](https://apnic.net/)] webmaster team tags me on LinkedIn and
Twitter - they have run the second of three contributed blog posts which describe Babel (part 1),
Unnumbered IPv4 OSPFv3 (part 2) and rolling this out in VPP at IPng Networks (part 3, yet to come).
LinkedIn and Twitter buzz a little bit, and I spend some time answering questions and fending off
that one guy (you know, there's always _that one guy_) who finds this all incredibly boring and
basic, and needs to actually bother me by making sure I know, that _he_ has been doing all of this
for 20 years already. Except, he has no idea, because 20 years ago, VPP didn't exist :)

Yesterday, Sandro picked up his switches, all right, but not the packaging. So I sacrificed one
official green _Br&uuml;ttisellersack_ trashbag and stuffed a cubic meter of protective foam into
it. I was quite proud as I yeeted it into the trash container in the driveway.

With that small chore out of the way, I took to my e-mail and I am reminded of yesterday's Good
News. The [[NLNOG](https://nlnog.net/)] program committee has accepted my proposal to come talk
about that IPv4-less backbone I've created, and detail the changes to Bird2 and VPP and LinuxCP that
were needed to facilitate that. Seeing as next week I'll be out and about in Friesland, I think I
should get going.

My presentation will have four pieces:
1.    Code changes required for Babel in VPP, using IPv6 transit networks for IPv4 destinations
1.    Code changes required for IPv4 OSPFv3 in VPP, using Unnumbered transit networks 
1.    Rollout to IPng's [[AS8298](https://ipng.ch/s/articles/2021/02/27/ipng-network/)] without
      downtime
1.    A reminder: VPP does 100Mpps and 100Gbps without breaking a sweat, on commodity hardware

I'm doing a bit of a roadshow with this (Oslo, Amsterdam, Piacenza, Paris, possibly Berlin if the
DENOG program committee is favorable on my submission), but each talk will be different - they are
different length timeslot and different requested emphasis by the respective program committees.
It's nice that [[APNIC](https://blog.apnic.net/2024/09/05/vpp-with-loopback-only-ospfv3-part-2/)] is
already making a bit of noise for me!

Today I finished the intro, the first piece and a part of the second piece. But at 17:00 or so, my
stomach informed me that it was empty and needed filling. Luckily, tonight I get to cook -- and
since it was my choice, I chose a Dutch classic _Biefstuk Friet_ (English: beef filet with fries). I
started preparing the salad, chopping tomatoes, cucumber, onions and washing the salad. I had
already taken out three fabulous _Limousine_ pieces from the freezer yesterday, and they are now
room temperature. I ask Quinn to help with the french fries, and he's super motivated because the
reward is that he gets to eat french fries.

It's raining unfortunately, but only a drizzle. I heat up the barbecue and at around 18:05 or so I
put the well seasoned steaks on a searing hot griddle. I give them three times three minutes, so
that one side has a nice diamond and the other one stripes. This makes them somewhere between medium
rare and medium, and as they are sizzling I can already tell this is gonna be good.

Meanwhile, inside, Quinn and Marina are gob-smacked at just ... how ... LONG it is. Sometimes, the
That's-What-She-Said jokes write themselves in this household. They decide to eat _the_ french fry.
[[Eliza Shlesinger](https://youtu.be/akHSlA-WUB0?si=H_D1-AdpetfPPiw4&t=157)] would be proud.

We do the dishes and plop onto our respective couches to watch an episode of _V Wars_. I fall asleep
halfway through it, and at 20:30 when Quinn goes upstairs, I briefly hesitate and want to curl into
a ball also. But it's 20:30 and this will mess up the rest of my week, so I _person up_, and grab
myself a glass of Grappa, and offer to watch _Untold: Hope Solo vs. U.S. Soccer_, a documentary
about a US soccer player, [[Hope Solo](https://en.wikipedia.org/wiki/Hope_Solo)], whom I personally
have never heard of, but apparently is a world famous female soccer player and goalie, and her story
of accomplishments, and controversies. I thought it was a pretty cool story, a little bit David and
Goliath. Although probably embellished a little bit, for the largest part believable: Wage Pay
Gaps, they are real, and women all over the world get shafted, all the time. 

Finally at 22:30 or so I go downstairs, where
[[Adalinda](https://www.printables.com/model/25225-adalinda-the-singing-serpent) is about 90% done,
and the next set of parts for the MK3S+ upgrade are ready to be scheduled. I clean the plate and
launch what I think is the last of the parts, and just as the printer starts, I hear a loud *snap*
behind me and feel something touch my leg. Adalinda's left wing has snapped off!

Oh well, you win some you lose some -- even with the Prusa MK4S it seems. Since the other printer
has finished its first two layers, and I've finished my glass, I'm also happy to report that for the
first time this week, I've written my journal in the evening before going to bed, rather than
sheepishly retrofitting it the next morning (which, believe you me, will happen plenty in the next
few weeks, as I scurry around Europe on a set of trips). Good night!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-05/IMG_1126.JPG" caption="A municipal trash bag with three boxes worth of packing foam from Sandro's switches in it. I'm quite proud on how I made that all fit. It's packed so densely that one more piece of foam and I would've created a black hole." >}}
  {{< gallery-photo fn="2024-09-05/preso.png" caption="I'm working on my presentation for *NOGs around Europe this fall." >}}
  {{< gallery-photo fn="2024-09-05/IMG_1127.JPG" caption="I cook up a set of pretty delicious Limousin filet steaks." >}}
  {{< gallery-photo fn="2024-09-05/wow.png" caption="Quinn and Marina are just in awe with how long it was!" >}}
  {{< gallery-photo fn="2024-09-05/IMG_1128.JPG" caption="We watch Hope Solo vs US Soccer, a documentary on Netflix about gender pay inequality" >}}
  {{< gallery-photo fn="2024-09-05/IMG_1129.JPG" caption="The printers have been productive, in the background, Adalinda is printing." >}}
  {{< gallery-photo fn="2024-09-05/IMG_1130.JPG" caption="Oops! Adalinda has lost her left wing. That sucks! This print goes to the bin, unfortunately, and at 94% finished!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
