---
title: "Week 6, Friday: Loadtesting VPP"
date: 2024-09-06T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/fluidified-03.png" alt="Credit: Fluidified, YouTube" >}}

In the morning I made good on a promise from the other day to take a look at the second 100G wave
that IP-Max is operating from Glattbrugg (Zurich) to Frankfurt. Although the performance is good and
the light levels are fine, there are receive errors on the port in Frankfurt, and the wavelength
provider is seeing low light levels in the Glattbrugg side. A technician has put a loop in IP-Max's
rack and then the low light level alarm clears, so I think perhaps the optic is dirty (although it
was capped), oer maybe it's just plain faulty.

Off I go, at 10:30 on my loaner-bike (also a Stromer ST5, but a fancier one with
[[ABS](https://en.wikipedia.org/wiki/Anti-lock_braking_system)] and everything. The bikeride is
pleasant -- I've almost forgotten how it is to do a whole 10km ride without having to dismount three
times to reset/powercycle the torque sensor. I hope that Stromvelo gets my bike fixed this weekend!

Indeed, at Interxion it turns out that it was a dirty or faulty optic. I drain the link to
Frankfurt, and 25G of traffic sloshes to NTT and onwards to Frankfurt via that route, no harm done.
I take a cleaning pen and once again clean all fibers up to the patch panel, and then swap the CFP
from the other 100G port into this one. Connect everything, undrain the link, and monitor for a few
minutes. No more errors, whohoo!

I'm back home by lunchtime, and I've made myself a beef udon with sesame seeds. This is from the
leftover _Limousin_ steak that I barbecued yesterday. It's very tasty and I slurp it down greedily.
I've also gotten a few _B&uuml;rli_, which helps soak up the fluid in the tummy. Yummy!

After lunch I have a play date with my buddy Rogier. For [[Coloclue](https://coloclue.net/)] we have
volunteered to look into flowprobe and sflow for VPP, because it helps us figure out who is sending
which traffic, where. I've dabbled with flowprobe before, but did not find success: dataplane
crashes, and malformed Netflow packets. But, the kind folks at Netgate have sent quite a few code
changes, and maybe it works better now.

I'm eager to take a look. But alas, Rogier sends me a Signal message that he's handling some mildly
annoying fire at work, and won't be able to join. I like hanging out with Rogier, so that's a bit of
a bummer. But I will also be able to do at least _some_ of the work myself. This will once again
become a larger story arc on the [[IPng](https://ipng.ch/)] website in the form of a few articles,
but I do a sidequest first.

{{< image frame="false" width="5em" float="left" src="/img/init/sidequest.png" alt="The SideQuest logo" >}}
A while ago, I changed the wiring of my lab hypervisors, they are now all connected with 10G DAC to
ports on the Mellanox 100G switch (that I wrote about
[[here](https://ipng.ch/s/articles/2023/11/11/debian-on-mellanox-sn2700-32x100g/)]). But, in doing
so, I disconnected them from the _Unifi_ homenetwork, so now they no longer have access to the
`lab.ipng.ch` hypervisor. Also, it's been a few months since I booted them, so I go on a little side
quest, bringing them up to Debian 12.6, and plumbing through a new set of LAB vlans from the
`lab.ipng.ch` through the Centec switch, with 100G to the lab switch, and up into the LAB
hypervisors. There are 7 machines currently: four are old Dell R720s, and three are newer Dell
R730s. When I'm done, all of them have a private VLAN to the `lab.ipng.ch` head-end, and they all
use 10G now for both iDRAC as well as IPng Site Local.

{{< image frame="false" width="5em" float="left" src="/img/init/sidequest.png" alt="The SideQuest logo" >}}
But once I'm on a this side quest, I also see that the VPP labs (which I wrote about
[[here](https://ipng.ch/s/articles/2022/10/14/vpp-lab-setup/)]), are a bit out of date. So, off I go
on a _second side quest_, to make both a new release of VPP 24.10-rc0 (including sflow but I would
not use that quite yet!), for both Debian Bookworm as well as Debian Bullseye; and I'll also make a
new lab VM while I'm at it, which contains also the [[hsflowd](https://github.com/sflow/host-sflow)]
and [[sflowtool](https://github.com/sflow/sflowtool)], the Bird2 that can do transit-less OSPF, and
the newest VPP code of course. I regenerate the environment on `lab0`, which is now also hooked up
with 10G to the internet, and play around a little bit.

In some sense, I do miss Rogier: had he been on a video call with me, I would've done what I
actually set out to do, but now all of the sudden it's 17:30 and while I did a good job overall, I
did literally _nothing_ on the sflow front :-) but before I head out for the day, I do boot up the
lab and see the sflow plugin at work. It's sampling traffic, and the traffic it does sample looks
correct at least! More on that later.

I'm in a celebratory mood, and it is also Ap&eacute;ro-o'clock; so Marina and I go to the yard and
crack open a bottle of _Maison Gillard_ called _La Parte de Novembre_ which is an ice wine, they
say. Marina does quite like a sweeter white wine, and it's truly delectable. What's even more
strange (to us, at least!) is that it's a **Swiss** wine. Could it be, that we finally found a nice
white wine from Switzerland? Go Valais!

I prepare dinner tonight - it's a simple one with fishsticks, mashed potatoes and spinach. Marina
has what appears to be a mild brain malfunction as she tries to do the math how to divide the 10
sticks we have left over, with the 15 sticks we got this week, in a way that allows us to buy
another batch and divide it into two meals: 25 is waaay too much for one meal, and she ties her poor
little noggin into a knot trying to work this out. I belly laugh at her maths skills. Poor girl. But
after, like, four botched attempts, she figures it out. We're eating twenty. Also, and this is kind
of unique because in our household we don't do exceptions to meals (Dutch: "je eet wat de pot schaft",
English: "you eat what the pot has made"), she makes herself peas and carrots, because she thinks
spinach is gross. But then again, she eats _Kramiek_, so I don't think her opinion particularly
counts....

It's Friday and thus: movie night, as none of us have a strict time to get up tomorrow morning.
Yesterday, Marina and I watched _Hope Solo_, and that surname got me thinking: it's been a long
while since we watched a starwars universe flic.
[[Solo](https://en.wikipedia.org/wiki/Solo:_A_Star_Wars_Story)], with Aiden Ehrenreich, Woody
Harrelson, and Emilia Clarke (🥰) and Donald Glover. I've seen it before and remembered it as a
really good 'Post StarWars IV, V, VI'. Marina didn't fall asleep, which means: she found it
interesting also. IMDB scored it 6.9, and I think that's a fair one.

OK, so tomorrow, then, maybe, I'll go do those functional and loadtests with `sflow` in VPP. For
now, I'm bushed, and I did at least a few useful things in IPng's lab rack, as well as rescued a
beautiful 100G wave to Frankfurt.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-06/IMG_1131.JPG" caption="The (loaner) Stromer bike en route from my house to the Interxion datacenter in Glattbrugg. I can't stop loving the views in scenic Zurich, and that I get to live here 🥰" >}}
  {{< gallery-photo fn="2024-09-06/IMG_1133.JPG" caption="A tasty bowl of Beef Udon with sesame seeds on top. Super delish lunch!" >}}
  {{< gallery-photo fn="2024-09-06/IMG_1134.JPG" caption="We drink a very nice - swiss - ice wine from Maison Gillard. This stuff is almost perfect to our palet!" >}}
  {{< gallery-photo fn="2024-09-06/IMG_1135.JPG" caption="A screenshot of Han 'I have no family: Solo' alongside Lando Calrissian and the love of his life, L3-37. I enjoyed the backstory of Han Solo and Chewbacca!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
