---
title: "Week 7, Tuesday: Packing for NL"
date: 2024-09-10T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/chillmusic.png" alt="Credit: Chill Music, YouTube" >}}

When I got up this morning, I first published my
[[sFlow](https://ipng.ch/s/articles/2024/09/08/vpp-with-sflow-part-1/)] article to Mastodon and
Twitter. I really wanted to talk to the folks from [[inMon](https://inmon.com/)] beforehand, to make
sure we're on the same page about the project - which clearly we are! Overnight, Neil implemented
the first of two improvements to the plugin. Rather than sending RPCs to the main thread, it'll now
create one PSAMPLE writer _per thread_, and do the write directly inline in the sampler. And what an
imnprovement that brought!

I spent most of the morning and afternoon loadtesting this new approach. I'll leave the details for
a followup post on the IPng website, but the good news is that there is no longer a real bottleneck
in the plugin, it scales linearly with threadcount, can easily send samples at 250K/sec, and when
one thread is overloaded, other threads do not regress at all. Great work overall. I send an
elaborate e-mail with the findings.

I have only three goals for today, and all of them are very simple:
1.   Grab all the schwag for the FrysIX barbecue, including a few (eh, 72pcs) of disk for my buddy
Tim and his association in Amsterdam. If it's all for a good cause, I'm happy to give these disks a
second life.
1.   Cut some vinyl IPng.ch logos for the car, which will go on when I reach my parents' place in
the Netherlands (and probably get removed again before we go home)
1.   Pack for our one week roadtrip, and have an entertaining debate if our car's trunk is big
enough.

Marina and I will first drive to Best, in the provice of Noord Brabant in the Netherlands. Then
onwards to Jubbega in Friesland to visit Arend and the [[FrysIX](https://frys-ix.net/)] crew, and
on the way back we'll drive to Brussels to visit my buddy Andrew from Cisco, finally driving home to
Br&uuml;ttisellen, Switzerland, next week Tuesday. That's seven days to pack for.

My packing is rather adhoc/simplistic. Got passport? Driver's License? Credit Card? GO! Marina
however is a bit more ... methodical in her packing style. Stacks of stuff are laid on the bed,
compared, questions asked about clothing, stuff to put in the toiletbag, what sttuffed animals to
take (Hey and Uhi, of course!). 

As I'm doing the loadtests for sFlow, I grab Silhouette Studio and wrestle with it a little bit. I
can't seem to find the right cutting settings for _infinite_ cutting on a roll of 12" Oracal vinyl.
It turns out (and I think this is a bug?) if I turn the canvas in landscape mode, I am limited to
12x12, while if I set the canvas in portrait, it becomes 12" x &infin;. Heh, thirty minutes down the
drain! Eventually we find the correct settings, and shortly thereafter I have two beautiful 30x60cm
logos printed in Grey. If you do a poll on
[[Twitter](https://x.com/IPngNetworks/status/1821179665928560873)] (inconclusive, quelle surprise,
grey is a tie for red), and [[Mastodon](https://ublog.tech/@IPngNetworks/112921027967806983)] (grey
clearly wins), then you have to commit yourself to the result _even if your own choice would've been
different - superior - and decidedly_ 
{{< rawhtml >}} <span style="color:#ff00ff;font-weight:bold">more pink</span>. {{< /rawhtml >}}

I send a wrap-up report to the ongoing developer mail thread and the news is good. So good in fact,
that I decide to celebrate with a drop of the 50%-off ice wine. We do still have eight bottles after
all. Marina is not opposed to this type of celebration, so we go sit outside. In my field of view, I
see the cuttings of _Hydranchea_ (also known as _Hortensia_), which are looking really great despite
having been in a bucket of water for a while. I inspect them. There is absolutely no root starting
to grow out the bottom. Off to the internet I go, reading up on howto and tweaking my green thumbs.

It turns out, the experts say I should remove most of the leaves and cut the ones that are left, as
lots of water evaporates through them, and the stress inflicted by chopping off their appendages
will make them want to grow more roots. Uhm, okay, but only because the experts say so, I take some
scissors to the cuttings while Marina prepares a few pots of soil. We push the cuttings in the
correct length and orientation. It'll be fun to see if these things are still alive or if they've
completely given the ghost, when we get back next week.

I'm making meatloaf! This needs 90min or so in the oven, and we got fresh baby potatoes which do not
need to be peeled. Marina likes red cabbage, and I'm more partial to pickled white cabbage
(Dutch: _Zuurkool_). "Por que no los Dos?"; the dinner is easy to make and just takes a little bit
of patience, which eventually runs out before the 90min mark, but I guessed right: the meatloaf is
pretty great.

The last task for the day is packing, but before we do that: two episodes of _Black Mirror_ are
watched. "The Entire History of You" (memory imlants suck), and "The Waldo Moment". But then, we get
to work. I schlepp seventy two 3.5" hard disks from IPng's stash, and put them in the trunk of our
car. There's also our travel bags, and some other schwag for the barbecue. In case anybody wants a
beer mug, I took 24 of them with me, and they are most certainly _not_ coming back home with me.

At 21:00 I'm done, somewhat ahead of schedule, but I decide to go to bed. That's because I have put
my alarm on an _illegal_ time tomorrow morning: 06:00. This is not a normal time for me, and my
body reminds me of it. I lay in bed until 01:00, and eventually doze off.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-10/IMG_1177.JPG" caption="Cutting the Oracal vinyl IPng logos - in Grey because that's what the Twitter and Mastodon survey suggested." >}}
  {{< gallery-photo fn="2024-09-10/IMG_1180.JPG" caption="I don't know why I took this picture, as it has nothing to do with today. But: An ASR9001 router and three Celestica DX010 switches." >}}
  {{< gallery-photo fn="2024-09-10/IMG_1182.JPG" caption="We are listening to some music on my fancy bluetooth speaker; we do this while drinking a lovely white wine." >}}
  {{< gallery-photo fn="2024-09-10/IMG_1183.JPG" caption="Marina and I tended to our Hortensia cuttings, and ended up potting them. Wish us luck! We're both absolutely terrible at gardening." >}}
  {{< gallery-photo fn="2024-09-10/IMG_1184.JPG" caption="Dinner - meatloaf, boiled new potatoes, saurkraut and red cabbage. ALSO: gravy." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

