---
title: "Week 7, Thursday: Eindhoven de Gekste"
date: 2024-09-12T12:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/sti.png" alt="Credit: Sound That Illuminates, YouTube" >}}

I grew up in a small town called Best near Eindhoven in the Netherlands. My parental home, and
therefore both of my parents, are still in the same house they bought after we returned from our US
and UK sidequest in the late eighties. This sleepy town of Best is well situated on the busy train
link from Eindhoven to Den Bosch (of which the original name is 's Hertogenbosch -- _the Forest
that belongs to the Duke_). The good news is, there's a 9 minute train to Eindhoven and a 16 minute
train to Den Bosch, and my parents live about eighty meters away from the train station.

Best has changed and morphed quite a bit in the twentyfive years that I've been out in the big world
on my own. About ten years ago, the main street that goes through the village center has been
renovated and turned into a pedestrian-friendly zone. These last two years, our parents' street has
been renovated, with the same objective. Personally, I think it's a huge improvement for livability,
but of course the cars that used to drive through this street are also now driving through this
street at roughly the same speed as before -- which is now significantly too fast both legally (it's
a 30kmh/20mph street), but also physics-wise, as it's full of twisty turny chicanes and speed bumps
and so on. I like it. Mom could not hate it more. Dad could not care less. Fun times :)

In the morning, we have a nice breakfast together, and after the meal we do our first round of
shopping for goods and groceries that are only found (or only properly found) in the Netherlands.
Mom, Marina and I walk over to the village center and I take a good look around to see things that
are the same, and things that have changed. Mostly the same - which I think is good. At _Albert
Heijn_ we do groceries, but we carefully leave out a few vegetables, so that we can go to the
_Groenteboer_ (local vegetable green-grocer), who knows my Mom by name, asks how my Dad is going and
if these two people with you are the long lost Son+Daughter in Switzerland. Awwww, I love the small
town society so much!

My buddy WEiRD and I have this game that if we are on a roadtrip and not in the Benelux, and we see
a logistics truck from a company called _Vos_, and (this important) the cabin of said truck has a
Dutch license plate, that we scream at the top of our lungs: "HARRRYYYYYYY!!!!" - as you do. It's
hilarious mostly if the other guy is sleeping (at the wheel, or otherwise). Believe it or not, it
took like - forever - to fine one (1) measily Harry Vos transport truck in Germany, but look here in
the smack dead center of Best! One is driving **RIGHT HERE**!!1 Unfortunately, I cannot scream here,
because we are inside of the _Benelux_ :(

We ran some errands for the Parents, got some tailored pants and orthopedic shoes for my Dad. We
also got all the ingredients for a four course meal that I am facilitating tonight at my parents
place. It gives us both something to _do_ and something to _enjoy_, as it's a good time for me to
subtly introduce ingredients and dishes that they'd normally not really eat. Even though, as I see
later today, they both really really enjoyed, or perhaps they're just really good actors.

I have really only three things to do today:

1. The groceries for both (a) what to take home to Switzerland, and (b) what to put into the four
courses tonight in our family food festivities.

1. Go to Eindhoven city by train, take a picture of the bowling pins, and then walk through the
'old' town from the _Oude Markt_ to the far end of _Stratum's Eind_. Compare notes from my memory
(as I went to school and university in these parts), and see how the city has changed. If you visit
infrequently - the last time I was here may have been 10 years ago - the progression can really 
stand out.

1. Cook a four course meal for my parents, consisting of:
   1.   Rocket salad, sliced beef tomatoes, Buratta and balsamic vinaigrette
   1.   Chickpea soup with green curry
   1.   Salmon, green beans with bacon bits and mashed potatoes with creamy herbs
   1.   Clotted cream with Monchou cheese, Bastogne and cherries

After lunch, Marina and I take off at leet o'clock (13:37) and catch the train to Deurne after
Marina has a small struggle with the vending machine / payment checkin. She will happily say it was
all the fault of stoopid Dutch banks - and actually: I totally agree because I don't want a
divorce.

We take a selfie on the platform and get into this rather nice train (called a Sprinter), and make
our way to Eindhoven CS. There, we first exit the station on the South side and I take my picture of
the bowling pins which are a landmark at the TU/Eindhoven where I used to study (and mostly fail
classes) in the 90s. Then, we walk back around and through the station tunnel to the City side, and
I really enjoy the walk over _Stratum's Eind_, a street in town which has bars and clubs on both
sides from start at St. Catherine's Church, all the way to the back - perfect for a pubcrawl. I'm
amazed at how clean it is, and also I'm amazed at how my _passive memory_ reminds me "oh right, I
used to go _Blikkenslikken_ (Dutch: swallowing cans) here at the Kix, who are celebrating their 40
year anniversary this year. And with that, mission #2 was accomplished.

On the way back into town, we shared a _Smos Americain_ from _Bakker Bart_, and we took a seat on
the market square for a drink at the _Grand Cafe Centraal_. We took the train back home at 14:45 or
so, and hung out at home for a bit. I finished my loadtests of Neil's latest changes to the `sflow`
VPP plugin, and sent some thoughts to the list and GitHub repo. The mail thread in the mean time is
getting a bit complex with lots of new questions and thoughts. It's good to keep each individual
engineering topic in its own github issue. It's going very well with the plugin.

Marins has been complaining that our car is gross, and she's not wrong. The last time we've washed
it was in 1872, and it's really in need of some deep cleaning. So I take it to the _Prowash_ car
wash station, and drop &euro;13,- on society for a thorough scrub of the outside. Wait, my car is
blue!? Then I attack it with the industrial vacuum cleaner, and manage to remove a few kilograms of
sand, grit, pebbles, and various dried up jellybeans which somehow made their way onto the carpet
and under the seats. Hearing each one of these jellybeans bounce around in the vaccuum cleaner's
long hose was kind of rewarding.

Back home, the reason for the cleaning became clear - the vinyl logo's -- in grey -- are to be
applied on the doors. We make good work of it, and accept for a few small bubbles of air under the
foil, we do a pretty decent job of it.

Now all that's left to do is create the dinner, which we do all together in the kitchen, while
chatting away and comparing notes on the steam oven, the cuisson of the fish, the beafiness of the
tomatoes and the creaminess of the burrata. I'm surprised (in a good way) how long this meal takes,
we start at around 18:30 and are finished with desert at 21:30, after which we're suitably stuffed.

Marina pretty quickly decides to retire and I promise I'll be "right with her", except I finish my
journal for yesterday and now it's 23:00. Still a pretty decent time for me, so I go upstairs and
brush my teeth, contuing on to bed and I am 💤 about three seconds after my head hits the pillow.
There's something about Uhi, I don't know how he does it, but I'm immediately out like a light.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-12/IMG_1213.JPG" caption="The Odulphus Church in Best, the Netherlands" >}}
  {{< gallery-photo fn="2024-09-12/IMG_1214.JPG" caption="We see a Harryyyyyyy Vos, except I can't yell at it because that would break the rules" >}}
  {{< gallery-photo fn="2024-09-12/IMG_1215.JPG" caption="Marina and I take a selfie at the Best train station" >}}
  {{< gallery-photo fn="2024-09-12/IMG_1216.JPG" caption="The trains in the Netherlands sure are better (Sprinter) than they used to be (Hondekop)" >}}
  {{< gallery-photo fn="2024-09-12/bowling.png" caption="The bowling pin statues at the corner of the TU/Eindhoven campus" >}}
  {{< gallery-photo fn="2024-09-12/IMG_1218.JPG" caption="Sint Katerijne Church in Stratum's Eind, Eindhoven." >}}
  {{< gallery-photo fn="2024-09-12/IMG_1221.JPG" caption="The beginning of Stratum's Eind, Eindhoven. I have spent many a night in this street as a youngling." >}}
  {{< gallery-photo fn="2024-09-12/IMG_1222.JPG" caption="We share a beautiful broodje filet americain from Bakker Bart" >}}
  {{< gallery-photo fn="2024-09-12/IMG_1223.JPG" caption="Although it's raining, we still humor ourselves with a selfie on the Grote Markt of Eindhoven" >}}
  {{< gallery-photo fn="2024-09-12/IMG_1226.JPG" caption="I am attacking our car with a vaccuum wand. It's a very powerful wand. I wonder what else I could do with it ..." >}}
  {{< gallery-photo fn="2024-09-12/IMG_1228.JPG" caption="We have stuck an IPng logo onto the side of the car. That Cameo v5 is cool :-)" >}}
  {{< gallery-photo fn="2024-09-12/IMG_1229.JPG" caption="The opening salvo for our family feast: Burrata!" >}}
  {{< gallery-photo fn="2024-09-12/IMG_1232.JPG" caption="I am performing my loadtests for the VPP sflow plugins to give feedback on this iterattion to Neil and colleagues" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
