---
title: "Week 8, Thursday: Stollen - Day 2"
date: 2024-09-19T19:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/orion.png" alt="Credit: Orion, YouTube" >}}

For some strange reason I did not have problems getting up this morning. Marina was still on one ear
as my alarmclock went off at 08:00. I brushed the teeth, drank the coffee, and started my morning
BIOS routine. There's a few things that I have on a keep-list, some small things that we wished we
would've had yesterday, but while Fred is in a hotel in Luzern, I am able to bring some more stuff
with me to continue our work in the Stollen cavern.

I drive to Luzern and arrive there at 10:10 or so. Fred is already hard at work, and he has good
news. The link to Zurich was working all along - it's just (and we are a bit embarrased to admit
this), it was _shutdown_ on the other side, and in such a state, there will be no link! The remedy
is quickly found, and Fred creates the LACP bundle to Zurich, with one member in it, and it shoots
to life. This new POP is starting to take shape! But luck is not with him, and for the longest time
in the morning, he tries to find out why the management network is not doing what he wants.

It turns out, this POP is a bit different than the others; here, we use the `MgmtEth0` port to
create a HSRP pair, but seeing as these are not _router_ ports, but just _management_ ports, it will
not budge. In the end, he reconfigures the whole lot to be a _BVI_ on the 20G LAG instead, and
everything comes up as expected. But, he complains bitterly: a whole morning wasted!

Marco is taking us out to lunch, by which I mean "a cross connect seminar", and we make our way with
the Stollen and EWL crew to a local italian joint. I have a pizza Quattro Formaggio, Fred enjoys a
Lasanga, and the entire Stollen crew eats the same: roastbeef. Fun!

We get back at 13:30 and decide to step up the tempo. We still have a tonne of work to do. I take
the cabling as my mission, and lay trays and fiber trunks and MPO cassettes everywhere. Fred starts
work to get the customer connections terminated in this room. In a spare moment, he helps me rack my
machines. They are in the top of the rack, and we need to hold them above our heads to be able to
put them in their rails. But, we do not crack open any skulls on this exercise, and the machines
are energized quickly enough. 

Now that the IP-Max management network is up, I can reclaim my APU and put it back as it was
originally: it takes one IPv4 and IPv6 from IP-Max space, and then has an internal LAN for IPMI, for
WiFI, and for IPng Site Local. I use the WiFi to log in to the APU, and from there I can use IPMI
serial-over-lan to power on and configure the VPP machine, Hypervisor and Centec switch.

When they're sufficiently UP, I turn my attention back to another task: cleaning up the room! We
have a few dozen plastic baggies from the fiber patch cables, a bunch of cardboard and plastic and
other junk. It all goes into one big bag and off to the bin. Today, we take a little bit better care
of ourselves, and we go outside to breath oxygen (and Fred a bit of nicotine also!) every ninety
minutes or so. This really does help in this _oxyreduct_ atmosphere.

The good news is: all physical connections are done, up, and running. The room has been completely
cleaned and all junk and wrappers/plastic/cardboard removed. This means: we can bounce! At 18:00 we
ask Marco to help us bring our cart with the remaining stuff (our bags, leftover optics, cables, and
whatnot). He opens the goods sleuce and we're quickly outside. Byebye, Marco! It was really nice
working with you these last two days.

We go to Fred's hotel. I hear there's a good resto there. But, we first need to sillybrate our
accomplishments, as within the span of the last ten to twelve working hours, we transformed this
empty cage with 14 racks into a carrier-quality point of presence for IP-Max AS25091, with 2x10G to
Lausanne, and 2x10G to Zurich, and all customers moved into the new infrastructure (except for one,
which will be done soon!). 

Working from the hotel is so much more relaxed (quelle surprise), and we clean up bits and bobs, do
our bookkeeping, things like DNS and IPAM, document which patch panel and cassette goes where, which
fiber is connected where, and send a few e-mails to follow up with suppliers and customers. I am
tempted to construct the L2VPN MPLS backhaul for IPng's VPP router and Centec switch, but I decide
in the end to do this tomorrow from my place: bigger screen, better music, and less enthusiastic
interruptions from my hard working buddy, Fred.

But there' another reason why: we're hungry! Somewhat unimaginatively, I order roughly the same
thing as yesterday. It does not go unnoticed, a couple sits next to us and says "that steak must be
very good, you had it yesterday!". But!! I also took a salad this evening :-) It's then 21:00 and I
decide to drive home, leaving a tired Fred who is still floating on clouds due to the turnup. He
will go back tomorrow morning and do some labeling/stickering work. Tomorrow, I will make the L2VPN
stuff for IPng and do some tests with these new 20G pipes, just to make sure that end-to-end the
connectivity is as we'd expect, before we put more customers onto this POP.

Oh, also, on Saturday I appear to be on a flight to Oslo, Norway. It may be a good time tomorrow to
finish that presentation for NONOG. I have it ... 75% done, but I'd prefer for it to be 100% done so
that I don't have to be in a hotel in Oslo while Marina is out on the town without me. So I have my
action plan for tomorrow. Good night, and may the packets flow and our pagers forever be quiet.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-19/IMG_1384.JPG" caption="The stuff we wished we had had yesterday. Fiber guides with brushes, an APU6 for IP-Max, a WiFi kit for IP-Max, and a label printer." >}}
  {{< gallery-photo fn="2024-09-19/IMG_1386.JPG" caption="Fred and I make an enthusiastic selfie in the room, as it's almost ready for production use!" >}}
  {{< gallery-photo fn="2024-09-19/IMG_1388.JPG" caption="One of the two ASR9k+Nexus combos. There are two of these racks in the room, and each has its own management switch and terminal server, and also each has 2x10G to other datacenters. I don't expect much downtime inthis room..." >}}
  {{< gallery-photo fn="2024-09-19/IMG_1389.JPG" caption="The rack that I'm moving IPng into, as seen from the back." >}}
  {{< gallery-photo fn="2024-09-19/IMG_1392.JPG" caption="The VPP router (top), blank (the Centec is a R-to-F device, so it's in the back), and hypervisor (below). IPng will soon be open for business here!" >}}
  {{< gallery-photo fn="2024-09-19/IMG_1404.JPG" caption="The IP-Max footprint up close. There's already quite a few fibers breaking in- and out of this router." >}}
  {{< gallery-photo fn="2024-09-19/IMG_1406.JPG" caption="The back of IPng's small footprint. Could you believe this VPP router does 2x25G + 4x10G and easily handles 200Mpps on about 120W of power??" >}}
  {{< gallery-photo fn="2024-09-19/IMG_1409.JPG" caption="Cheers, Fred! We had a tough two days, but we delivered the room ahead of schedule, and that deserves a beer." >}}
  {{< gallery-photo fn="2024-09-19/cheers.png" caption="Cheers, Pim! Fred took this nice under-beer picture. We worked hard, and now we get to relax a little bit." >}}
  {{< gallery-photo fn="2024-09-19/IMG_1410.JPG" caption="Look, Marina! I ate a salad today! And a second 350g steak. Sorry for being boring :-)" >}}
  {{< gallery-photo fn="2024-09-19/IMG_1411.JPG" caption="The beef is sizzling on a hot stone, and it really hits the spot after such a day of POP building." >}}
  {{< gallery-photo fn="2024-09-19/IMG_1412.JPG" caption="On the way home, the full moon was shining bright over A14. The drive home was 50min or so, which is totally cool! I an be in this place pretty quickly in case of emergencies" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
