---
title: "Week 8, Sunday: Oslo Museum Reviews"
date: 2024-09-22T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/pordan.png" alt="Credit: Pordán Krisztián, YouTube" >}}

The average Norwegian hotel really, really likes their breakfast. This morning I did not put on an
alarmclock, because today is "our" cultural day, in which we take a good look at the museums in and
around Oslo. Visiting Norsk museums is best done on a full stomach so I eat some bread with soft-boiled
eggs, sausages and bacon. The Thon hotel also has _Nespresso_ coffee, which is great! A few eggs and
bacon later, I'm ready to _pwn_ this city. We splurge on a 24h public transit pass, so that we won't
have to think about tickets for the rest of the day.

The game plan is to go up to _Frogner_ park, where the [[Bymuseet](http://www.oslomuseum.no/)] opens
at 11:00. Before going there, we stroll through the park in a drizzle of rain to look at Vigeland's
statues. He made hundreds of statues out of bronze and stone, and the theme is all human bodies in
all sorts of configurations. Babies, toddlers (including the famous _Angry Boy_), girls and boys,
men and women, elderly, and sometimes some stranger things like lizards and monsters. The statues
are all _au naturelle_ (which is to say: naked). I really really like how precise they model the
human anatomy. At the North-West end of the park, _The Wheel Of Life_ is a magnificent three meter
bronze ring-formed statue. The _Monolith_ is a twenty meter high column of human bodies in stone. Mr
_Vigeland_ also made a large bowl held up by four men. My personal favorite is the bridge lined with
bronze larger-than-life statues. 

We arrived at 11:15 at the Oslo Museum, which is for the best because our coats are starting to get
heavy with rain. The museum tells us the story of Oslo and Christiania, the big fire of 1624, the
contrasts between the working class and the upper class in Christiania, the trade of timber and
other stories of the city as it formed into what we are visiting today. There's also a few really
nice paintings in an adjacent building. There's very finely detailed oil on canvas, a few less tidy
sketches and a few more random ones in acryllic. 

From the Oslo Museum, we walk through the park -- still in the rain -- to the Vigeland museum, which
is free of charge. We learn all about this artist, and how he was able to make such a vast
assortment of statues (spoiler: he had a crew!). I also see how his style changed over the years,
some more realistic, some more grandiose, and some more bizarre, but always depicting the human
form. My favorite is the one with the young girls (see below); they look cheeky as if they have a
secret to hide, and they ain't telling, nuh-uhh!

After we leave the Vigeland museum, we grab the bus line 30 to Bygd&oslash;y, which has a few more
museums to enjoy: Fram, the Norwegian Maritime, and the Kon-Tiki museums. We buy a ticket for all
three, and read all about the expeditions to the South Pole, the North Pole, including the epic race
between Amundsen and Scott at the South Pole. I never knew this: that Nansen and his crew
used the _Fram_ to proove a theory: that they could let the _Fram_ freeze itself into the ice, and
travel on a drift on the underlying ocean currents. The original ship was preserved and this museum
was built _around it_. We walked through the inside of the ship and saw how the crew lived during
their three to five year expeditions.

Just across the road, the Maritime museum shows stories of boat-making and sailing the high seas. We
saw a copy of the Royal Caribbean _* of the seas_ cruise ships, which we have sailed on before.
There's also a set of stories on how the vikings used to make their boats. Overall, there's a lot of
technical detail and stats about the various boats and ships and the history of sea-faring.

Then, just next to the Fram museum is yet another cool story telling muesum: the Kon-Tiki is a
**raft** built from balsawood and twine/rope, which Heyerdahl built as he was interested in
demonstrating the possibility that ancient people from the Americas could have colonized Polynesia.
He built this raft and in 101 days, used the ocean currents and trade winds to sail from Peru to
Polynesia in the 1940s. What a story! We sit down in the video room and I'm blown away by the
narration -- of Thor Heyerdahl himself! -- on how they made the trek. Unfortunately, our video
watching is interrupted at 16:52 because the museum is about to close. `trombone.wav`, we'll have to
finish this another time!

We make our way back to the hotel, where we try to decide what to eat. We're both a bit peckish, but
we spend waaaaay too long deciding. Finally, I let Marina choose one-of-three: 1) Sato Japanese
noodle house, 2) Chez Colin frenchie, or 3) Posthallen, a steakhouse around the corner. "Not Steak"
is quickly muttered, after which the menu for Sato and Chez Colin is inspected. "Noodles it is". We
make our way to Sato, who inform us that we will need to wait 45min and order at the counter. That's
a bit too rigid for me, and I decide to bounce.

It so happens that just across the street, there's an indian place called _Natraj Tandoori_ and we
beg for a table. It's fabulous food, where we eat Naan, Papadum, shrimp, lamb and chicken. The
dishes are really good. And it's funny how we spent 45min thinking really hard about where to go,
but we could just as well just walk into a place, too. We should do that more often :)

Back at the hotel at 21:00, we lazily watch Tom Cruise in Maverick, while I write up the journal for
today and yesterday. Tomorrow I'll go find my buddy Ole and we plan to have lunch together, maybe
hang out a bit in the city. I'm glad that he's coming to NONOG too, because that way I can make him
answer any gnarly VPP questions :-)

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-22/IMG_1479.JPG" caption="One of Vigeland's statues in Frogner Park" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1481.JPG" caption="The statue of the men holding a huge fountain bowl at Frogner Park" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1483.JPG" caption="An overview of Frogner park" >}}
  {{< gallery-photo fn="2024-09-22/oslomuseum.png" caption="The Oslo city museum called Bymuseet" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1489.JPG" caption="Vigeland's earlier work - very realistic statue of two old men" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1491.JPG" caption="An overview of Vigeland's stone statues, the ones that have been recast into bronze in Frogner park we just visited earlier" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1492.JPG" caption="One of my favorites - these cheeky girls are hiding a secret, but what is it?" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1493.JPG" caption="The monolith statue in a scaled down sketch" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1495.JPG" caption="An overvierw of the bay from Bygd&oslash;y's Fram museum" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1497.JPG" caption="Fram museum. This building was built around the original expedition ship Fram" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1500.JPG" caption="A maquette of the Fram captured in ice, floating along the ocean currents in the artic" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1502.JPG" caption="The ships in those days were pretty low. Marina just fits under the beams, and I just fit under the ceiling." >}}
  {{< gallery-photo fn="2024-09-22/IMG_1503.JPG" caption="The original Kon-Tiki raft made out of twine and balsa wood. It crossed the pacific from Peru to Polynesia!" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1504.JPG" caption="Another boat called the Tigris, which unfortunately we could not explore because the museum closed and we got kicked out!" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1506.JPG" caption="We are treated to a feast of food from the Tandoor; prawns, lamb and chicken" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1507.JPG" caption="The Ruter clock at Oslo Sentralstasjon, at night it's nicely lit" >}}
  {{< gallery-photo fn="2024-09-22/IMG_1508.JPG" caption="We write Quinn a postcard and Marina dutifully puts it in the mail. If it doesn't arrive, here's proof that we at least tried!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

